/*MAIN CLEANING FILE
-- Starts with wave 5 of Nids + wave 1 of CRAM
-- Defines earnings, employment 
-- amended 31 Jan you should use w5_nc_v2 (ie wave 1 NIDS-CRAM V1.1.0, produced in prepfile_updatev110.do)
*/

// JB: just a temporary thing for me so I can run from scratch all within this do-file
if c(current_date) == " 5 Sep 2020" & c(username) == "ERROR" {
	global cram "C:\Users\joshb\Dropbox\projects\CRAM paper\"
	use "${cram}Data\Data\w5_nc_v2.dta", clear
	rename w1_nc_* w6_*
	numlabel, add
	g fwgt= round(w6_wgt)
}
else {
	rename w1_nc_* w6_*
}

*JB add
drop if mi(pid)	// my understanding is that these are wholly deceased households
assert w6_outcome != 1 if mi(w5_wgt)
drop if mi(w5_wgt)	// these should be dead individuals and non-residents from wave 5

*Keep em days neg
g w6_emdaysneg_apr= w6_emdays_apr 
g w6_emdaysneg_feb= w6_emdays_feb

//Get rid of refusal and don't know
//JB: do we really want to recode -7 in w6_emdays_apr & w6_emdays_feb ("I was on leave") as missing? Seems wrong. Not changing but noting for now
foreach var in w6_eminc_feb w6_eminc_feb_brac w6_emdayinc_apr w6_emwkinc_apr w6_emwkinc_apr_brac w6_em2wksinc_apr w6_em2wksinc_apr_brac w6_eminc_apr w6_eminc_apr_brac  w6_emsinc_apr w6_emsinc_apr_brac w6_emdays_apr w6_emdays_feb {
	recode `var' (-9/-1=.)
}
	

********************************************************************************
*** Earnings
********************************************************************************

* JB: bracket vars check for updated data:
foreach var in w6_eminc_feb_brac w6_eminc_apr_brac w6_emwkinc_apr_brac w6_em2wksinc_apr_brac w6_emsinc_apr_brac {
	assert inlist(`var', 1,2,3,4,5,6,.)
}

//FEBRUARY EARNINGS

//February brackets: 501 replacements
*IB: Okay not to weight, bc representivity issues + within bracket so likely no difference
		
	g w6_eminc_feb_imp= w6_eminc_feb
	replace w6_eminc_feb_imp = 0 if w6_eminc_feb_brac ==1
	
	qui: sum w6_eminc_feb if w6_eminc_feb >0 & w6_eminc_feb <3000, d
	replace w6_eminc_feb_imp = r(p50) if w6_eminc_feb_brac ==2
	
	qui: sum w6_eminc_feb if w6_eminc_feb >=3000 & w6_eminc_feb <=6000, d 
	replace w6_eminc_feb_imp = r(p50) if w6_eminc_feb_brac ==3
	
	qui: sum w6_eminc_feb if w6_eminc_feb >6000 & w6_eminc_feb <=12000, d 
	replace w6_eminc_feb_imp = r(p50) if w6_eminc_feb_brac ==4
	
	qui: sum w6_eminc_feb if w6_eminc_feb >12000 & w6_eminc_feb <=24000, d 
	replace w6_eminc_feb_imp = r(p50) if w6_eminc_feb_brac ==5
	
	replace w6_eminc_feb_imp = 2*24000 if w6_eminc_feb_brac ==6

	
//Feb tot wage
	gen w6_totwage_feb = w6_eminc_feb_imp
	replace w6_totwage_feb =. if w6_totwage_feb >100000
	
	*Feb - "totwage variable"  RZ - we need to think carefully about how this var is defined. In the current context, we may want to distinguish between those who are employed and earning zero wages and those who are unemployed. 
	*replace w6_totwage_feb =0 if w6_emplstat_feb !=2
	*replace w6_totwage_feb =. if w6_emplstat_feb ==2 & w6_totwage_feb ==0
	 // Note: Find a better way of trimming outliers. Only 4 set to missing rn.
	//JBnote: we can figure out something more complex if we want, but this seems to work well based on browsing and comparing to w5 hhwage

	
	
//APRIL EARNINGS (948 non missing)
	*Also need to convert all figures to a monthly figure
	
// Monthly earnings (214 changes)
	local mbrac1 ERROR
	local mbrac2 1,3000
	local mbrac3 3001,6000
	local mbrac4 6001,12000
	local mbrac5 12001,24000
	local mbrac6 ERROR
	local mbracend 24000
	
	g w6_eminc_apr_imp= w6_eminc_apr
	replace w6_eminc_apr_imp = 0 if w6_eminc_apr_brac ==1
	forval i = 2/5 {
		qui: su w6_eminc_apr if inrange(w6_eminc_apr, `mbrac`i''), d
		replace w6_eminc_apr_imp = r(p50) if w6_eminc_apr_brac == `i'
	}
	replace w6_eminc_apr_imp = 2*`mbracend' if w6_eminc_apr_brac ==6
	
	
// Weekly earnings (130 non missing) (24 changes)
*(Label is wrong. Refer to questionnaire.)
	local wbrac1 ERROR
	local wbrac2 1,700
	local wbrac3 701,1400
	local wbrac4 1401,2800
	local wbrac5 2801,5500
	local wbrac6 ERROR
	local wbracend 5500

	g w6_emwkinc_apr_imp= w6_emwkinc_apr
	replace w6_emwkinc_apr_imp = 0 if w6_emwkinc_apr_brac ==1
	forval i = 2/5 {
		qui: su w6_emwkinc_apr if inrange(w6_emwkinc_apr, `wbrac`i''), d
		replace w6_emwkinc_apr_imp = r(p50) if w6_emwkinc_apr_brac == `i'
	}
	replace w6_emwkinc_apr_imp = 2*`wbracend' if w6_emwkinc_apr_brac ==6
	
	
// Fortnightly earnings (69 non missing) (9 changes)
	local fbrac1 ERROR
	local fbrac2 1,1400
	local fbrac3 1401,2800
	local fbrac4 2801,5500
	local fbrac5 5501,11000
	local fbrac6 ERROR
	local fbracend 11000
	
	g w6_em2wksinc_apr_imp= w6_em2wksinc_apr
	replace w6_em2wksinc_apr_imp = 0 if w6_em2wksinc_apr_brac ==1
	forval i = 2/5 {
		qui: su w6_em2wksinc_apr if inrange(w6_em2wksinc_apr, `fbrac`i''), d
		replace w6_em2wksinc_apr_imp = r(p50) if w6_em2wksinc_apr_brac == `i'
	}
	replace w6_em2wksinc_apr_imp = 2*`fbracend' if w6_em2wksinc_apr_brac ==6
	

//Convert all earnings to monthly 
	* JB: Multipling up to monthly totals. Just check whether the frequency var works as a flag for this replacement:
	assert mi(w6_eminc_apr) if inlist(w6_empay_freq,1,2,3)	
	assert w6_empay_freq == 1 if !mi(w6_emdayinc_apr)
	assert w6_empay_freq == 2 if !mi(w6_emwkinc_apr)
	assert w6_empay_freq == 3 if !mi(w6_em2wksinc_apr)	// all good
	

	** JB: To check these for outliers, lets create new variables, check them, and then replace afterwards
	
	* JB: just to confirm that we shouldn't be using embusdays_apr for daily wage, confirm that those who report self-emp or "run a business" do not report daily earnings:
	assert mi(w6_emdayinc_apr) if inlist(w6_emtyp, 3,4)
	
	gen temp_day_monthly = w6_emdayinc_apr*w6_emdays_apr*4.33 if w6_emdays_apr >= 0 
		// JB: PROBLEM above is that we're setting monthly wages = 0 for those who have daily earnings but no days of employment. means shifting emp grp 2 to emp grp 3just a flag. this is just 15 obs (161k people) so ignoring for now
		//IB: Agree, tricky. I think these should be in cat 2? (wage>0, days==0) for comparable to feb. Adj made in emp var directly.
	gen temp_wk_monthly = w6_emwkinc_apr_imp*4.33
	gen temp_2wks_monthly = w6_em2wksinc_apr_imp*2.17
	
	
	* Sub in imputed daily, weekly and 2-weekly earnings
	replace w6_eminc_apr_imp = temp_day_monthly if mi(w6_eminc_apr_imp)
	replace w6_eminc_apr_imp = temp_wk_monthly if mi(w6_eminc_apr_imp)
	replace w6_eminc_apr_imp = temp_2wks_monthly if mi(w6_eminc_apr_imp)
	
	

/*	** JB: I'm commenting out these so I can create variables and then check them, rather than the direct replace you implemented
	* Daily
	// replace w6_emwkinc_apr = w6_emdayinc_apr*w6_emdays_apr if w6_emwkinc_apr ==. & w6_emdayinc_apr !=. & w6_emdays_apr !=.
		* JB: I don't understand why you do this this 2step thing way? Seems to just add complexity
	// replace w6_em2wksinc_apr = w6_emwkinc_apr*2 if w6_em2wksinc_apr ==. & w6_emwkinc_apr !=. 
	* Fortnightly
	// replace w6_eminc_apr = w6_em2wksinc_apr*2 if w6_eminc_apr ==. & w6_em2wksinc_apr !=. 
	//RJ: Do we also need to replace those who have missing values for w6_eminc_apr but might be daily/weekly wagers just as you've replaced those who earn bi-weekly

	** JB: To check these for outliers, lets create new variables, check them, and then replace afterwards
	gen temp_day_monthly = w6_emdayinc_apr*w6_emdays_apr if w6_emdays_apr >= 0 
		// JB: PROBLEM above is that we're setting monthly wages = 0 for those who have daily earnings but no days of employment. means shifting emp grp 2 to emp grp 3just a flag. this is just 15 obs (161k people) so ignoring for now
	gen temp_wk_monthly = w6_emwkinc_apr*4 
	gen temp_2wks_monthly = w6_em2wksinc_apr*2 
	
// some JB checks, ignore for now
	// check
	/*
	su temp_day_monthly temp_wk_monthly temp_2wks_monthly [aw = w6_wgt], d
	local klist
	foreach var in w6_eminc_apr temp_day_monthly temp_wk_monthly temp_2wks_monthly {
		cap drop ln_`var'
		gen ln_`var' = ln(`var')
		
		* comment out version below you don't want
		local klist `klist' (kdensity ln_`var' ) 
		// local klist `klist' (kdensity ln_`var' [aw = w6_wgt]) 
	}
	twoway `klist'
		
	
	* notable: you can't get rid of the february hump by excluding daily, weekly, fortnightly earnings [!inlist(w6_empay_freq, 1,2,3)]
	* instead, you can only get rid of it by *only including monthly earnings* (w6_empay_freq==4). This suggests the hump is *not* about reporting frequency, but is instead about the people who report wages in February, but no longer report earnings in April. could this just be about super polarised SA labour market and disproportionate impact of covid?
	cap drop test_monwage
	gen test_monwage = w6_eminc_apr
		replace test_monwage = temp_day_monthly if mi(test_monwage)
		replace test_monwage = temp_wk_monthly if mi(test_monwage)
		replace test_monwage = temp_2wks_monthly if mi(test_monwage)
	cap drop ln_test_monwage
	gen ln_test_monwage = ln(test_monwage)
	cap drop ln_w6_eminc_feb
	gen ln_w6_eminc_feb_imp = ln(w6_eminc_feb_imp)	
	cap drop ln_w6_apr_inc
	gen ln_w6_apr_inc = ln_test_monwage 
	twoway (kdensity ln_w6_apr_inc [aw = w6_wgt]) (kdensity ln_w6_eminc_feb [aw = w6_wgt]) // if !mi(w6_empay_freq)
	cap drop test_monwage  ln_test_monwage ln_w6_eminc_feb ln_w6_apr_inc
*/
*/

	drop temp_day_monthly temp_wk_monthly temp_2wks_monthly

	
//Apr profits (207 non-miss)
	g w6_emsinc_apr_imp= w6_emsinc_apr 
	replace w6_emsinc_apr_imp = 0 if w6_emsinc_apr_brac ==1
	
	sum w6_emsinc_apr if w6_emsinc_apr >0 & w6_emsinc_apr <3000, d
	replace w6_emsinc_apr_imp = r(p50) if w6_emsinc_apr_brac ==2
	sum w6_emsinc_apr if w6_emsinc_apr >=3000 & w6_emsinc_apr<=6000, d
	replace w6_emsinc_apr_imp = r(p50) if w6_emsinc_apr_brac ==3
	sum w6_emsinc_apr if w6_emsinc_apr >6000 & w6_emsinc_apr<=12000, d
	replace w6_emsinc_apr_imp = r(p50) if w6_emsinc_apr_brac ==4
	sum w6_emsinc_apr if w6_emsinc_apr>12000 & w6_emsinc_apr<=24000, d
	replace w6_emsinc_apr_imp = r(p50) if w6_emsinc_apr_brac ==5	
	replace w6_emsinc_apr_imp = 2*24000 if w6_emsinc_apr_brac ==6
	
	
	
//April totwage
	egen w6_totwage_apr = rsum(w6_emsinc_apr_imp w6_eminc_apr_imp), missing
	replace w6_totwage_apr =. if w6_totwage_apr >100000 // Note: Find a better way of trimming outliers. 4 set to missing.

	
//	*April - "totwage variable"  RZ - we need to think carefully about how this var is defined. In the current context, we may want to distinguish between those who are employed and earning zero wages and those who are unemployed. 
	//JB note: the above will make totwage = 0 if w6_emsinc_apr & w6_eminc_apr are both missing. do we want this? if not, replace with command below:
	// IB: Agreed, corrected w/ your suggestion.
	
	//JB: I presume these commented-out commands below are outdated and obsolete now. Can we just delete them? otherwise confusing
	*replace w6_totwage_apr =0 if w6_emplstat_apr !=2
	*replace w6_totwage_apr =. if w6_empl_stat ==2 & w6_totwage_apr ==0
	
	
//MISC
	*Earnings quintiles 
	xtile w6_earn_feb_5t = w6_totwage_feb if w6_totwage_feb >0 & w6_totwage_feb!=. [aw=w6_wgt], n(5)
	xtile w6_earn_apr_5t = w6_totwage_apr if w6_totwage_apr >0 & w6_totwage_apr!=. [aw=w6_wgt], n(5)
	

	
//NIDS WAVE 5 TOT WAGE
	egen w5_totwage =rsum(w5_fwag w5_cwag w5_swag w5_help w5_prof w5_extr), missing 
	
/*
	//IB added w5_help and w5_prof. Left out w5_cheq w5_bonu bc probably once per year and not in months reported for CRAM?
	// An inclusive wage variable which sums earnings from self employment, wage work and casual work.
		*replace w5_totwage =0 if w5_empl_stat !=3
		*replace w5_totwage =. if w5_empl_stat ==3 & w5_totwage ==0
// NOTE: Totwage here is inclusive of zero earnings for those who are not employed. Researchers may want to change this definition to include only those who have positive earnings values. 

*/

********************************************************************************
*** Employment status
********************************************************************************

//Clean up days var
g w6_emdays_feb_imp= w6_emdays_feb
g w6_emdays_apr_imp= w6_emdays_apr

//JB: just confirm that w6_embusdays_apr only exists for self-employed and business owners
assert mi( w6_embusdays_apr) if !inlist(w6_emtyp,3,4)

replace w6_emdays_apr_imp= w6_embusdays_apr if w6_emdays_apr_imp==. & w6_embusdays_apr>=0

//JB edited Label
// lab def w6_empcat 1 "Emp,days>0,wage>0" 2 "Emp,days=0,wage>0" 3 "Emp,days=0,wage=0" 4 "Unemp,days=0,wage=0", modify

lab def w6_empcat 1 `""Working": days>0"' 2 `""Paid leave": days=0,wage>0"' 3 `""Unpaid leave": emp/emreturn,days=0,wage=0"' 4 `""Not employed": noemp,days=0,wage=0"', modify

* we need to clean emdays neg. numbers before here?

//Same for feb and april (prioritize comparibility)
foreach mo in feb apr {
	
	*JB: some checks before we get going
	assert w6_emdays_`mo'_imp >= 0
	assert w6_totwage_`mo' >= 0
	
	cap drop w6_empcat_`mo'
	g w6_empcat_`mo'= .
	
	*1 - days>0
	replace w6_empcat_`mo'= 1 if (w6_emdays_`mo'_imp>0 & w6_emdays_`mo'_imp!=.)
	
	*2 - days==0, wage>0
	replace w6_empcat_`mo'= 2 if (w6_emdays_`mo'_imp==0 | w6_emdays_`mo'_imp==.) ///
	& (w6_totwage_`mo'>0 & w6_totwage_`mo'!=.)
	
	*3 - emp, days==0, wage==0 ;; also "no i'm emp", wage==0, hr==0 
	replace w6_empcat_`mo'= 3 if (w6_em_`mo'==1 | w6_emany_`mo'==1 | w6_ems_`mo'==1) ///
	& (w6_emdays_`mo'_imp==0 | w6_emdays_`mo'_imp==.)  ///
	& (w6_totwage_`mo'==0 | w6_totwage_`mo'==.)
	
	replace w6_empcat_`mo'= 3 if (w6_em_`mo' ==2 & w6_emany_`mo'==2 & w6_ems_`mo' == 2) ///
	& (w6_emdays_`mo'_imp==0 | w6_emdays_`mo'_imp==.) ///
	& (w6_totwage_`mo'==0 | w6_totwage_`mo'==.)
	
	*4 - unemp, wage==0, hr==0
	replace w6_empcat_`mo'= 4 if (w6_em_`mo'==2 & w6_emany_`mo'==2 & w6_ems_`mo'==3) ///
	& (w6_emdays_`mo'_imp==0 | w6_emdays_`mo'_imp==.) ///
	& (w6_totwage_`mo'==0 | w6_totwage_`mo'==.)
	
	lab val w6_empcat_`mo' w6_empcat
}


*Specific adjustment: Those who earn daily wage in april and say emp but no days. Assign cat 2. (2 changes)
replace w6_empcat_apr= 2 if (w6_em_apr==1 | w6_emany_apr==1 | w6_ems_apr==1) & (w6_emdays_apr==.) & (w6_emdayinc_apr !=.)

*Specific adjustment: Set emp==3 if return job + reason=lockdown (no wage, no hrs) (306 adjustments...)
* JB edit below to restrict changes to when w6_empcat_apr==4 or w6_empcat_apr==., and expanding w6_emabs_apr reasons (I only exclude "studying" and "poor health") (now only 117 real changes)
replace w6_empcat_apr= 3 if inlist(w6_emabs_apr,1,2,4,5,6,7) & w6_emreturn==1 & inlist(w6_empcat_apr, 4,.)

* JB change: set Feb pensioners (who are missing details in Apr) to category 4 as NEA. 297 changes, means we have empcat for almost everyone, also logically consistent
assert mi(w6_empcat_feb) & mi(w6_empcat_feb) if w6_em_feb == 3
replace w6_empcat_feb = 4 if w6_em_feb == 3
replace w6_empcat_apr = 4 if w6_em_feb == 3

*Specific adjustment: emp missing or not emp, but answer paid leave
foreach mo in feb apr {	
	replace  w6_empcat_`mo'= 3 if !(w6_em_`mo'==1 | w6_emany_`mo'==1 | w6_ems_`mo'==1) & (w6_empcat_`mo'==4 | w6_empcat_`mo'==.) & w6_emdaysneg_`mo'==-7
}

* JB: check
assert mi(w6_empcat_feb) & mi(w6_empcat_feb) if w6_outcome != 1


/*Investigate missings

//Feb
*only 1/96 has 0 days and 0 wage, rest are missing 
tab w6_emdaysneg_feb if w6_empcat_feb==. & nids_sample==1, mi
sum w6_totwage_feb if w6_empcat_feb==. & nids_sample==1

*62 have idk for all three
count if w6_empcat_feb==. & nids_sample==1 & inlist(w6_em_feb,-9,-8) & inlist(w6_emany_feb,-9,-8) & inlist(w6_ems_feb,-9,-8) & w6_totwage_feb==.

*57 refused all three, 15 refused ems + No any job  + ref/no any work, 
table w6_em_feb w6_emany_feb if w6_empcat_feb==. & nids_sample==1, c(freq) by(w6_ems_feb)

//Apr
*142 missing, none have wage, only 2 have 0 days 
tab w6_emdaysneg_apr if w6_empcat_apr==. & nids_sample==1, mi
sum w6_totwage_apr if w6_empcat_apr==. & nids_sample==1

*80 refused all three, 23 refused ems + No any job  + ref/no any work, 12 said no for ems + no for any job + ref/idk for pay
table w6_em_apr w6_emany_apr if w6_empcat_apr==. & nids_sample==1, c(freq) by(w6_ems_apr)

*/





*Deal with people who are deemed outliers, but have positive wage

	
/*IB NOTES
-- Sets unemp w/ pos wages as emp w/ pos wages
-- Cat 3 <-- "no I'm employed" + no hrs + no wage
-- Exclude retired ==> set to missing
-- hours is only asked if employed

Notes on consistentcy derived vs our emplstat var
-- recover w6_empl_stat  through comb of vars:
count if (w6_em_apr==1 | w6_emany_apr==1 | w6_ems_apr==1) | w6_emreturn==1 | w6_emdays_apr!=. | w6_empay_freq!=. | w6_embusdays_apr!=.

tab w6_empl_stat w6_empcat_apr if nids_sample!=., mi
-- if employed in w6_empcat_apr, then emp in w6_empl_stat 
-- if unemp in w6_empcat_apr, 1961/2038 NEA or unemp (consistent), 42 refused (fine), 35/2157 employed (Bad)
		tab w6_empcat_apr w6_emreturn if w6_empl_stat==3
		*All 35 unemp have job to return to (not lockdown related)
-- if missing in w6_empcat_apr (361/4004), 6 emp (bad) and 333 refused (okay)
		*This is fine :)
*/




// JB NOTES 
**** compare results from IB original classification :
/*
foreach var in w6_empcat_feb  w6_empcat_apr {
	tab `var' if w6_outcome==1, m
	tab `var' if w6_outcome==1 [fw=fwgt], m
}
*/

* only change to Feb is 2.3m more "not employed" because "no I'm retired" goes there
* in Apr I have 400k more people "employed", 1.3m more "paid leave", 1.4m less "unpaid leave", 2.1m more "not employed"

**** compare our emp category to derived empl_stat
// tab w6_empcat_apr w6_empl_stat  if w6_outcome==1, mi
* all of our cat1, cat2, cat3 come from empl_stat employed
* 27/2327 of our "not employed" are employed in empl_stat
*---> they're all emreturn == 1 with various reasons. vast majority not lockdown related, seem inconsistent with emreturn==1
* we have 64 missing in empcat. 36 have no empstatus, while 10,12,6 are NEA, unemp, emp respectively.


// Commenting this out. I think we can drop in favour of Ihsaan's code in the analysis file
/*
	**For FEB (Added to the code)
	** (2 means "no" here and 3 is "no" for w6_ems_feb)
	gen w6_emplstat_feb = .
	replace w6_emplstat_feb = 0 if w6_em_feb == 3
	replace w6_emplstat_feb = 1 if w6_em_feb ==2 & w6_emany_feb ==2 & w6_ems_feb == 3
	replace w6_emplstat_feb = 2 if w6_em_feb ==1 | w6_emany_feb ==1 | w6_ems_feb == 1 | w6_ems_feb == 2
	cap lab def w6_emplstat_feb 0 "Retired" 1 "Unemployed or Inactive" 2 "Employed", modify
	cap lab val w6_emplstat_feb w6_emplstat_feb
	//Note- many missing values here - some have No when asked did you have a job in April but then report "No, I'm Employed" to the question of did you do any business
	//My guess is  "No, I'm Employed" for w6_ems_feb could be treated as a No here rather than being missed out as people might have meant it as no they didn't because they usually have a job/are an employee 
	//We need to discuss this 
	//RZ:I've changed this to treat those who answer "No, I'm Employed" as being employed. I think this is correct - it also resolves the problem that some of those classified as unemplyed in the alternative definition have positive earnings. Those that asnwered "No, I'm Employed" were administered the labour module as if they were employed, so we should treat them as such in the data too. 
	
	/*
	*For April derived var: w1_nc_empl_stat - grouping strict and discouraged unemployed
	recode w6_empl_stat (-8=.) (2=1) (3=2), gen(w6_emplstat_apr)
	label def w6_emplstat_apr 0 "NEA" 1 "Unemployed" 3 "Employed"  
	la val w6_emplstat_apr w6_emplstat_apr
	*/
	
	*Comparability with the FEB variable
	gen w6_emplstat_apr= .
	replace w6_emplstat_apr = 0 if w6_em_feb == 3 // those who reported this for Feb were skipped directly to social outcomes module
	replace w6_emplstat_apr = 1 if w6_em_apr ==2 & w6_emany_apr ==2 & w6_ems_apr == 3
	replace w6_emplstat_apr = 2 if w6_em_apr ==1 | w6_emany_apr ==1 | w6_ems_apr == 1 | w6_emreturn == 1 | w6_ems_apr == 2
	cap lab def w6_emplstat_apr 0 "Retired" 1 "Unemployed or Inactive" 2 "Employed", modify 
	cap lab val w6_emplstat_apr w6_emplstat_apr
	//My guess is  "No, I'm Employed" for w6_ems_apr should be treated as a No here rather than being missed out as people might have meant it as no they didn't because they usually have a job/are an employee 
	//We need to discuss this
	//RZ:I've changed this to treat those who answer "No, I'm Employed" as being employed. I think this is correct - it also resolves the problem that some of those classified as unemplyed in the alternative definition have positive earnings. Those that asnwered "No, I'm Employed" were administered the labour module as if they were employed, so we should treat them as such in the data too. 
	
	***	Employment variable which takes into account zero/missing earnings
	gen w6_emplstat_feb_incl = w6_emplstat_feb
	replace w6_emplstat_feb_incl = 3 if w6_emplstat_feb ==2 & (w6_totwage_feb ==0| w6_totwage_feb ==.)
	cap lab def w6_emplstat_feb_incl 0 "Retired" 1 "Unemployed or Inactive" 2 "Employed, pos. earnings" 3 "Employed, zero earnings", modify 
	cap lab val w6_emplstat_feb_incl w6_emplstat_feb_incl

	gen w6_emplstat_apr_incl = w6_emplstat_apr
	replace w6_emplstat_apr_incl = 3 if w6_emplstat_apr ==2 & (w6_totwage_apr ==0| w6_totwage_apr ==.)
	cap lab def w6_emplstat_apr_incl 0 "Retired" 1 "Unemployed or Inactive" 2 "Employed, pos. earnings" 3 "Employed, zero earnings", modify 
	cap lab val w6_emplstat_apr_incl w6_emplstat_apr_incl
	
			
***job_loss (means were employed in Feb but no longer employed in April)
gen job_loss = 0 if w6_emplstat_feb==2
replace job_loss = 1 if  w6_emplstat_apr!=2 & w6_emplstat_apr!=. & w6_emplstat_feb ==2 //If want to exclude movement into NEA then add: w6_emplstat_apr!=0 
*/

	
	
********************************************************************************
*** Deflating
********************************************************************************

*JB: everyone except 1 person is asked the hhincome question... 
// assert !mi(w6_hhinc) if w6_outcome == 1		// JB: v1 edit to comment this out. one person has .missing hhincome

recode w6_hhinc (-9/-1 = .)
rename w6_hhinc w6_hhincome

* JB: but A LOT (36-37%) don't know and refuse to answer
/*
cap drop mi_hhinc
gen mi_hhinc = (mi(w6_hhincome) & w6_outcome == 1)
tab mi_hhinc if w6_outcome == 1, m
tab mi_hhinc if w6_outcome == 1 [fw = fwgt], m
cap drop mi_hhinc
*/
	
*** NIDS-CRAM. some JB edits 
*According to StatsSA, no inflation over feb to march [you mean April? JB]...
	foreach var in w6_hhincome w6_totwage_apr w6_totwage_feb w6_eminc_feb w6_eminc_feb_imp /*w6_eminc_feb_brac*/ w6_eminc_apr w6_eminc_apr_imp /*w6_eminc_apr_brac*/ w6_emsinc_apr w6_emsinc_apr_imp w6_emwkinc_apr /*w6_emwkinc_apr_brac*/ w6_em2wksinc_apr /*w6_em2wksinc_apr_brac*/ w6_emdayinc_apr {
	replace `var' = `var'*w6_deflator
	}



*** NIDS. some JB edits
		foreach var in w5_hhincome w5_hhq_inc  w5_expenditure w5_expf w5_fwag w5_cwag w5_swag w5_hhgovt w5_a_incdis_v w5_p_incdis_v  w5_a_incchld_v w5_p_incchld_v  w5_a_incfos_v w5_p_incfos_v w5_a_inccare_v w5_p_inccare_v w5_a_incgovpen_v w5_p_incgovpen_v  w5_hhwage  w5_hhgovt w5_hhremitt w5_hhagric w5_hhinvest w5_hhother w5_totwage {
		replace `var' = `var'*w5_deflator
		}

* JB moved this here, post deflation. log of earnings vars
gen w6_totwage_apr_ln = log(w6_totwage_apr)
gen w6_totwage_feb_ln = log(w6_totwage_feb)

*===============================================================================
***	Cleaning and harmonising variables between NIDS and NIDS-CRAM
*===============================================================================


***	dropping "refused" and "don't know"s. 
	*Note: Delete this line of code if you want to keep the "refused" and "don't knows"   
	foreach var in _best_age_yrs _best_gen _best_race _geo2011 _prov2011 _h_watsrc _empl_stat _h_dwltyp _h_enrgelec _a_em1occ_isco_c _a_unemdc _a_em1deduif _hhsizer _hhincome { 
	recode w5`var' (-9/-2=.)
	assert w5`var' >= 0		// JB check
	}

*** Age
	rename w5_best_age_yrs w5_age
	rename w6_best_age_yrs w6_age
	recode w6_age (-9/-1=.)

*** Gender
	rename w5_best_gen w5_gender
	*cap rename w6_gen w6_gender //RJ: This should be replaced by using best gender var - changed 24/06
	ren w6_best_gen w6_gender
	
*** Race 
	rename w5_best_race w5_race
	rename w6_best_race w6_race
	recode w6_race  (-8/-1=.)


	
*** Area
	rename w5_geo2011 w5_area
	recode w6_geo2011 (-8/-1=.)
	assert w6_geo2011 >= 0	//JB check
	rename w6_geo2011 w6_area
	
*** Province
	rename w5_prov2011 w5_prov
	recode w6_prov2011 (-9/-1=.) (10=.)
	assert w6_prov2011 >= 0
	drop w6_prov
	rename w6_prov2011 w6_prov
	
	
***Province Before Lockdown (some edits by JB)
	recode w6_lvbfprov (-9/-1=.) (10=.)
	gen prov_b_lockdown = w6_prov if w6_outcome==1
	replace prov_b_lockdown = w6_lvbfprov if !mi(w6_lvbfprov)	// 223 real changes
	lab var prov_b_lockdown "Province before lockdown (cleaned)"
	
*** Household composition	
	gen w5_child_7 = 0
		replace w5_child_7 = 1 if w5_age <7 & w5_age >=0
		bys w5_hhid: egen w5_tot_child_7 = total(w5_child_7)
	gen w5_child = 0
		replace w5_child = 1 if w5_age <18 & w5_age >=0
		bys w5_hhid: egen w5_tot_child = total(w5_child)
	gen w5_adult = 0
		replace w5_adult = 1 if w5_age >= 18 & w5_age < 60
		bys w5_hhid: egen w5_tot_adult = total(w5_adult)
	gen w5_elder = 0
		replace w5_elder = 1 if w5_age >= 60 & w5_age !=.
		bys w5_hhid: egen w5_tot_elder = total(w5_elder)	
	
	rename w6_nopres w6_hhsizer 
	replace w6_hhsizer = . if w6_hhsizer ==0 //Note, there are 6 observatoins who report zero hhsize. Do we set these to missing or to 1? These might indicate cases in which the respondent excludes herself when reporting hh size - which we can see when there are no other hh members, but which we can't see when actual hh size is > 1... 
	rename w6_nou7res w6_tot_child_7
	rename w6_nou18res w6_tot_child
	rename w6_no60res w6_tot_elder
	
	
	recode w6_hhsizer w6_tot_child w6_tot_child_7 w6_tot_elder (-9/-1=.)
	
	gen w6_tot_adult = w6_hhsizer-(w6_tot_elder+w6_tot_child)
	gen w6_childrenelders = w6_tot_elder+w6_tot_child
		//RZ: Checked, it doesn't seem like there are observations which report more children+elders than household size, which is nice :). 
		// JB: do it explictly :) then if code changes it fails and we notice it, also then people checking code know that they don't need to re-check themselves
	
	assert w6_tot_adult >=0 if pid != 404933		// v1 edit
	assert w6_childrenelders <= w6_hhsizer if !mi(w6_childrenelders) & pid != 404933	 // v1 edit
	

	
	
*** Education 
	 //RZ:  The "Other" category here refers to those with post-schooling qualifications which don't, as far as I can tell, require completed secondary education. This would include, for instance, vocational training, etc. For regressions and such, perhaps we ought to label and order this more precisely. I.e. as category 12, labelled "vocational and other qualification", and then shift Grade 12 to value 13, and tertiaryto value 14. Happy to follow whatever others think is best here. 

//JB: this is incomplete for same reason IB's was (ignoring codes 27-35). but also not usual treatment of codes 13-18 [UCT econ secret codes :)]. so I'm copying Rocco's code out and suggest we go with amended version of Ihsaan's

/*
	recode  w5_best_edu (-9/-2 = .) (25 0 = 0 "No schooling") (1=1 "Grade 1") (2=2 "Grade 2") (3=3 "Grade 3") (4=4 "Grade 4") (5=5 "Grade 5") (6=6 "Grade 6") (7=7 "Grade 7") (8=8 "Grade 8") (9=9 "Grade 9") (10=10 "Grade 10") (11=11 "Grade 11") (12=12 "Grade 12") (18/23 = 13 "Tertiary")(13 14 15 16 17 24 = 14 "Other"), gen(w5_educ)
	
	replace w6_edschgrd = 20 if w6_edter == 1  & w6_edschgrd == 12
	 cap recode  w6_edschgrd (-9/-2 = .) (19 0 = 0 "No schooling") (1=1 "Grade 1") (2=2 "Grade 2") (3=3 "Grade 3") (4=4 "Grade 4") (5=5 "Grade 5") (6=6 "Grade 6") (7=7 "Grade 7") (8=8 "Grade 8") (9=9 "Grade 9") (10=10 "Grade 10") (11=11 "Grade 11") (12=12 "Grade 12") (20=13 "Tertiary") (13 14 15 16 17 18 = 14 "Other"), gen(w6_educ)
*/
	 	
	 
//IB: I've replaced with what I understand as standard similar qualifications
// JB: some categories missing. I'm adding in as below:

// JB: reorganise w5_best_edu to move NTC and NCV codes (27-35) to be represented in just one place (13-15)
assert !inrange(w5_best_edu, 33,35)
recode w5_best_edu (27 = 13) (28 = 14) (29 = 15) (30 = 13) (31 = 14) (32 = 15)

// JB: why Certificate requiring Grade 12/Std. 10 is Matric, but Diploma requiring Grade 12/Std. 10 is Tertiary? I've changed so both are tertiary.

*Education Bins Wave 5
gen w5_educ_bins = .
replace w5_educ_bins = 1 if inrange(w5_best_edu, 0, 7) | w5_best_edu==25
replace w5_educ_bins = 2 if inrange(w5_best_edu, 8, 11) | inlist(w5_best_edu, 13,14,16,17)
replace w5_educ_bins = 3 if inlist(w5_best_edu, 12,15)
replace w5_educ_bins = 4 if inrange(w5_best_edu, 18,23)	



*Education Bins Wave 6

* JB check that Rocco's commented-out code above has not been run
assert w6_edschgrd != 20

gen w6_educ_bins = .
replace w6_educ_bins = 1 if inrange(w6_edschgrd, 0, 7) |  w6_edschgrd==19
replace w6_educ_bins = 2 if inrange(w6_edschgrd, 8, 11) | inlist( w6_edschgrd, 13,14,16,17)
replace w6_educ_bins = 3 if inlist(w6_edschgrd, 12,15,18)
replace w6_educ_bins = 4 if w6_edter== 1 & inlist(w6_edschgrd, 12,15,18)
	
	
la de educ_bins 1 "Up to Primary" 2 "Up to Secondary" 3 "Matric" 4 "Tertiary", modify
lab val w5_educ_bins educ_bins
lab val w6_educ_bins educ_bins





***Occupation 
	
	*Wave 5*
	*JB w5 occu need to add in all the proxies, self-employment etc
	foreach var of varlist w5_a_em1occ_isco_c w5_p_em1occ_isco_c w5_a_em2occ_isco_c w5_a_emsatc_isco_c w5_a_emsothatc_isco_c w5_a_emctype_isco_c w5_a_emhtsk_isco_c {
		assert inrange(`var', 0,9) | `var' < 0 | mi(`var')
		replace `var' = . if `var' < 0
	}
	
	gen w5_occu = .
	foreach var of varlist w5_a_em1occ_isco_c w5_p_em1occ_isco_c w5_a_em2occ_isco_c w5_a_emsatc_isco_c w5_a_emsothatc_isco_c w5_a_emctype_isco_c w5_a_emhtsk_isco_c {	// order of vars is nb! I'm prioritising self-employment over casual work
		replace w5_occu = `var' if mi(w5_occu)
	}
	lab val w5_occu w5_occ_code

	
	* Wave 6*	
	recode w6_emwrk_isco_c w6_emswrk_isco_c w6_unemwrk_isco_c (-9/-1 = .)
	gen w6_occu = .
	
	//JB simplifying code and make structure of industry codes clearer. without these asserts one has to check the skip-pattern anyway to make sure the code makes sense.
	assert mi(w6_emswrk_isco_c) & mi(w6_unemwrk_isco_c) if !mi(w6_emwrk_isco_c)
	replace w6_occu = w6_emwrk_isco_c 
	
	assert mi(w6_emwrk_isco_c) & mi(w6_unemwrk_isco_c) if !mi(w6_emswrk_isco_c)
	replace w6_occu = w6_emswrk_isco_c if mi(w6_occu)
	
	assert mi(w6_emwrk_isco_c) & mi(w6_emswrk_isco_c) if !mi(w6_unemwrk_isco_c)
	replace w6_occu = w6_unemwrk_isco_c if mi(w6_occu)
    
	label val w6_occu w1_nc_occ_code
	
	

*** Type of work
	* JB: w5 code is wrong: we're writing over people who have eg emptype 1 and 2 to make them just 2. I'm dropping this var for now
	
	/*
	gen w5_emtyp = .
	replace w5_emtyp = 1 if w5_a_em1 ==1
	replace w5_emtyp = 2 if w5_a_emc ==1
	replace w5_emtyp = 3 if w5_a_ems ==1 & w5_a_emsown == 1  
	replace w5_emtyp = 4 if w5_a_ems ==1 & w5_a_emsown >1 & w5_a_emsown !=.
	lab def w5_emtyp 1 "Regular job" 2 "Casual work" 3 "Self-employed" 4 "Run a business"
	lab val w5_emtyp w5_emtyp
	lab var w5_emtyp "Type of employment"
	*/
	
	recode w6_emtyp (-9/-1=.)	
	
	
	

//job loss
// gen job_loss2 = 0 if w6_empcat_feb==1
// replace job_loss2 = 1 if w6_empcat_apr!=1 & w6_empcat_apr!=. & w6_empcat_feb==1


gen jobloss_234 = 0 if w6_empcat_feb==1
replace jobloss_234 = 1 if inlist(w6_empcat_apr, 2,3,4) & w6_empcat_feb==1
lab var jobloss_234 "Job loss: switched from empcat 1 to empcat 2,3 or 4"

gen jobloss_34 = 0 if w6_empcat_feb==1
replace jobloss_34 = 1 if inlist(w6_empcat_apr, 3,4) & w6_empcat_feb==1
lab var jobloss_34 "Job loss: switched from empcat 1 to empcat 3 or 4"
	

******************************************************************
*FURTHER CLEANING
******************************************************************
/*Other vars not yet used in main analysis
-- IB: Just skimmed, not checked carefully
*/


/*Not using these
***	Dwelling type
	recode w5_h_dwltyp (0 = .)(1/5 =1 "Formal structure like a house or a flat")(2=2 "A traditional dwelling or house such as a mud hut")(7 8=3 "An informal dwelling or house like a shack") (6 9 10 11 =4 "Other"), gen(w5_dwltyp)
	cap recode w6_dwltyp (5/6=.)

***	Water source
	recode w5_h_watsrc (1 2 = 1 "Yes") (3/max = 0 "No"), gen (w5_water)
	lab var w5_water "Household has piped or tap water"

	cap recode w6_watsrc (-9/0 = .) (1=1 "Yes") (2=0 "No"), gen(w6_water)
	lab var w6_water "Household has piped or tap water?"

***	Electricity access
	recode w5_h_enrgelec (-9/0 = .) (1 = 1 "Yes") (2 = 0 "No"), gen(w5_elec)
	lab var w5_elec "Household has electricity?"

	cap recode w6_enrgelec (-9/0 = .) (1=1 "Yes") (2=0 "No"), gen(w6_elec)
	lab var w6_elec "Household has electricity?"	


*** demographics (note: formal contract question only asked to those who were still employed in April)
foreach x in w6_age w6_race w6_gender w6_area w6_prov w6_edschgrd w6_dwltyp w6_emwrk_isco_c w6_empay_freq  w6_emcontr {
tab `x'
tab `x', nolabel
}

*/


	
/*	
***Unemployment duration
	// NIDS and NIDS-CRAM values are quite different here. Remove this code if we don't plan to compare NIDS to NIDS-CRAM and rather would use NIDS-CRAM in isolation
	replace w5_a_unemdc = 8 if w5_a_unemprv == 1
	recode w5_a_unemdc (1 2 = 1 "Less than 6 months") (3 4 = 2 "6 - 12 months") (5 6 7 = 3 "Over a year") (8=4 "Never worked"), gen(w5_unemdc)
	
	cap recode w6_unemdc (1 2 = 1 "Less than 6 months") (3 = 2 "6 - 12 months") (4 = 3 "Over a year") (5 =4 "Never worked")
*/

***	Reason for cessation of last work related activity
	recode w5_a_noemex (-9/-1 = .)  (7 = 1 "Child care") (3=2 "Problems with my health") (6 = 3 "Looking after sick household  member(s)")(1= 4 "I'm retired") (2 = 5  "I'm studying") ( 13 = 6 "I've tried to find job but can't get one") ( 4 5 8/12 = 7 "Other"), gen(w5_noemex)	
	
***Hours worked
	recode w5_a_em1hrs (-9/-1 = .) (120/200 = .), gen(w5_emhrs)
	lab var w5_emhrs "Average work week (Hours)"
	
* Careful to make these changes AFTER employment variables defined
	recode w6_emhrs_feb (-9/-1 = .) (19/24 = .) // Recoding implausibly large numbers to missing
	recode w6_emdays_feb (-9/-1 = .) (8/max = .) // Recoding implausibly large numbers to missing
	gen w6_emhrswk_feb = w6_emhrs_feb*w6_emdays_feb
	lab var w6_emhrswk_feb "Average work week (Hours)"
	
	//RJ Added to the code
	gen w6_emhrswk_feb_bins = .
	replace w6_emhrswk_feb_bins = 1 if w6_emhrswk_feb >=0 & w6_emhrswk_feb<35
	replace w6_emhrswk_feb_bins = 2 if w6_emhrswk_feb >=35 & w6_emhrswk_feb<=45
	replace w6_emhrswk_feb_bins = 3 if w6_emhrswk_feb > 45 & w6_emhrswk_feb !=.
	la de w6_emhrswk_feb_bins 1 "Less than 35 hrs" 2 "Between 35-45 hrs" 3 "Over 45", modify
	lab val w6_emhrswk_feb_bins w6_emhrswk_feb_bins 

	
	recode w6_emhrs_apr (-9/-1 = .) (19/24 = .)  // Recoding implausibly large numbers to missing
	recode w6_emdays_apr (-9/-1 = .) (8/max = .)  // Recoding implausibly large numbers to missing
	gen w6_emhrswk_apr = w6_emhrs_apr*w6_emdays_apr
	lab var w6_emhrswk_apr "Average work week (Hours)"
	
	//RJ Added to the code
	gen w6_emhrswk_apr_bins = .
	replace w6_emhrswk_apr_bins = 1 if w6_emhrswk_apr >=0 & w6_emhrswk_apr<35
	replace w6_emhrswk_apr_bins = 2 if w6_emhrswk_apr >=35 & w6_emhrswk_apr<=45
	replace w6_emhrswk_apr_bins = 3 if w6_emhrswk_apr > 45 & w6_emhrswk_apr !=.
	la de w6_emhrswk_apr_bins 1 "Less than 35 hrs" 2 "Between 35-45 hrs" 3 "Over 45", modify
	lab val w6_emhrswk_apr_bins w6_emhrswk_apr_bins 

	
	
*** Hours reduction (RJ Added to the code)
	gen wkhrs_reduc = .
	replace wkhrs_reduc = w6_emhrswk_feb - w6_emhrswk_apr if w6_emhrswk_feb !=. & w6_emhrswk_apr !=.
	replace wkhrs_reduc = w6_emhrswk_feb if w6_emhrswk_feb !=. & w6_emhrswk_apr ==.
	replace wkhrs_reduc = -w6_emhrswk_apr if w6_emhrswk_feb ==. & w6_emhrswk_apr !=.		// JB addition
		
// JB: why so few obs with this hours reduc variable? its because of NEA people. actually coverage pretty good for first 3 categories of w6_empcat_apr (though not perfect)
/*
cap drop hrsreduc_nm
gen hrsreduc_nm = !mi(wkhrs_reduc)
tab w6_empcat_apr, sum(hrsreduc_nm)
cap drop hrsreduc_nm
*/
	
	
	
***	Written contract / formal employment
	recode w5_a_em1contr (1=1 "Yes") (2=0 "No") (-9/-2=.), gen(w5_formal)	
	lab var w5_formal "Written employment agreement"
	
	recode w6_emcontr (1=1 "Yes") (2=0 "No") (-9/-2=.), gen(w6_formal)	
	lab var w6_formal "Written employment agreement"	
	
	
***Payment frequency (RJ Added to the code)
	recode w6_empay_freq (-8=.)
	
	
*** TERS/UIF
	*Note: The NIDS variable related to whether UIF is deducted from one's salary. This is a different concept to the CRAM question, which asks about relief through UIF.
	*Note: One will also need to think about how the w6_uneminc_uif variable fits in here. 
	recode w5_a_em1deduif  (1=1 "Yes") (2=0 "No"), gen(w5_deduif)	
	lab var w5_deduif "UIF deducted from salary"
	
	recode w6_eminc_ters (-9/-8=.) (1=1 "Yes") (2=0 "No") (3=3 "Waiting"), gen(w6_tersuif)
	assert w6_tersuif >= 0
	recode w6_eminc_ters (-9/-8=.) (1=1 "Yes") (2=0 "No") (3=.), gen(w6_tersuif_yn)
	
	* 71 people in our emp_cat_apr==3 who are employed in April are not asked for their TERS category... not an insignificant amount when there are only 284 in the category
	// tab w6_eminc_ters w6_empcat_apr if w6_outcome == 1 & inlist(w6_empcat_feb,1) , m
	
	
	// JB addition
	recode w6_uneminc_uif (1=1 "Yes") (2=0 "No") (-9/-8 = .), gen(w6_rwtbenuif_yn)
	assert w6_rwtbenuif_yn >= 0
	lab var w6_rwtbenuif_yn "UIF reduced work-time benefit, April"

	
*** Registered business
	recode w5_a_emstax (1=1) (2=0) (-9/-2=.), gen(w5_bsnsstax)
	cap recode w6_emsvat (1=1) (2=0) (-9/-2=.), gen(w6_bsnsstax)


***	Employment of others in business
	recode w5_a_emsnumemp (-9=.) (6=0 "0") (1 2=1 "1-9") (3=2 "10-19") (4=3 "20-49") (5=4 "50+"), gen (w5_numempl)

	//For April 
	cap recode w6_emsnumemp (-9/-8 = .) (1=0 "0") (2 3 4 = 1 "1-9") (5 = 2 "10-19") (6=3 "20-49") (7 8 = 4 "50+"), gen (w6_numempl)
	
	//For Feb: 
	cap recode w6_emsnumemp_feb (-9/-8 = .) (1=0 "0") (2 3 4 = 1 "1-9") (5 = 2 "10-19") (6=3 "20-49") (7 8 = 4 "50+"), gen (w6_numempl_feb)
	
	
	
	
*** CSG
	 rename w6_hhincchld w6_csg_number 
	 recode w6_csg_number (-9/-3 = .) // (44 =. ) // I think 44 is an outlier/mistake - JB: it's been taken out in the v1 data
	 assert w6_csg_number >=0 & w6_csg_number < 20 if !mi(w6_csg_number)
	 replace w6_csg_number = 1 if w6_csg_number ==. & w6_incchld == 1  
	 
	*Note, number of csg grant recipients in a household is not recorded directly in NIDS and so has to be backed out. (Ihsaan and Josh, this is taken from our WD analysis - I think Ronak made a minor change/correction or two to this code)
	gen w5_csg= w5_a_incchld==1
	replace w5_csg = 1 if w5_p_incchld == 1	// JB add
	bys w5_hhid: egen w5_hhcsg= max(w5_csg)
	assert !mi(w5_hhcsg)

	gen w5_csg_income= w5_a_incchld_v if w5_a_incchld_v>=0 
	replace w5_csg_income = w5_p_incchld_v if w5_p_incchld_v >=0 & !mi(w5_p_incchld_v) & mi(w5_csg_income)	// JB add
	bys w5_hhid: egen w5_hhcsg_income = total(w5_csg_income)
	assert !mi(w5_hhcsg_income) 

	gen w5_csg_number= 0 if w5_hhcsg_income==0 
	replace w5_csg_number= 1 if w5_hhcsg_income>0 & w5_hhcsg_income <= 630
	replace w5_csg_number= 2 if w5_hhcsg_income>630 & w5_hhcsg_income <= 1050 
	replace w5_csg_number= 3 if w5_hhcsg_income>1050 & w5_hhcsg_income <= 1470
	replace w5_csg_number= 4 if w5_hhcsg_income>1470 & w5_hhcsg_income <= 1890
	replace w5_csg_number= 5 if w5_hhcsg_income>1890 & w5_hhcsg_income <= 2310
	replace w5_csg_number= 6 if w5_hhcsg_income>2310 & w5_hhcsg_income!=.



***	OAPs in household
	rename w6_hhincgovpen w6_oap_number
	recode w6_oap_number (-9/-3 = .)  
	replace w6_oap_number = 1 if w6_oap_number ==. & w6_incgovpen == 1 
	 
	gen w5_oap= w5_a_incgovpen==1
	replace w5_oap = 1 if w5_p_incgovpen==1	 //JB add
	bys w5_hhid: egen w5_hhoap= max(w5_oap)
	assert !mi(w5_hhoap)
	bys w5_hhid: egen w5_oap_number= total(w5_oap)
	// RZ: Something strange going on here... Gives a maximum of 3 OAPs in a household... JB: interesting. does seem strange, but plausible?

	
	
	
***	Personal grant reciept in NIDS - yes/no
*Lots of missings! - JB: they're almost all child questionnaires
	gen w5_incgov = 0 if w5_a_incdis ==2 &  w5_a_incchld ==2 & w5_a_incfos ==2 & w5_a_inccare ==2 & w5_a_incgovpen ==2
	replace w5_incgov = 0 if w5_p_incdis ==2 &  w5_p_incchld ==2 & w5_p_incfos ==2 & w5_p_inccare ==2 & w5_p_incgovpen ==2
	replace w5_incgov = 1 if w5_a_incdis ==1 |  w5_a_incchld ==1 | w5_a_incfos ==1 | w5_a_inccare ==1 | w5_a_incgovpen ==1
	replace w5_incgov = 1 if w5_p_incdis ==1 |  w5_p_incchld ==1 | w5_p_incfos ==1 | w5_p_inccare ==1 | w5_p_incgovpen ==1

***	Personal grant reciept in NIDS - which grant
	* JB: this is incorrect; does not allow for receipt of multiple types of grants. Rather than fixing, I'm deleting, and creating grant deummies.
	/* gen w5_incgovtyp1 = 0 if w5_incgov == 0
	replace w5_incgovtyp1 = 1 if w5_a_incchld==1 | w5_p_incchld==1
	replace w5_incgovtyp1 = 2 if w5_a_incgovpen ==1 | w5_p_incgovpen
	replace w5_incgovtyp1 = 3 if w5_a_incdis==1 | w5_p_incdis
	replace w5_incgovtyp1 = 4 if w5_a_incfos==1 | w5_p_incfos
	replace w5_incgovtyp1 = 5 if w5_a_inccare==1 | w5_p_inccare
	lab def w5_incgovtyp1 0 "No grant received" 1 "Child support grant" 2 "Old age pension" 3 "Disability grant" 4 "Foster care grant" 5 "Care dependency grant"
	lab val w5_incgovtyp1 w5_incgovtyp1
	lab var w5_incgovtyp1 "Grant received personally"
*/


* Grant dummies: JB
foreach var in incdis incchld incfos inccare incgovpen incwar {
	recode w5_a_`var' (-9/-1 = .) (1 = 1 "Yes") (2 = 0 "No"), gen(w5_ind_`var')
	replace w5_ind_`var' = 1 if w5_p_`var' == 1
	replace w5_ind_`var' = 0 if w5_p_`var' == 2 & mi(w5_ind_`var')
}

	
***	Personal grant reciept - CRAM
	
	recode w6_incgov (-9/-8=.) (1=1) (2=0)
	 label define w6_incgov 0 "No" 1 "Yes"
	 label val w6_incgov w6_incgov
	 recode w6_incgovtyp1 (-9/-8=.)
	 
*JB code	 
tab w6_incgovtyp1, gen(indgrnt)
 
rename indgrnt3 w6_ind_incdis
rename indgrnt1 w6_ind_incchld 
rename indgrnt4 w6_ind_incfos 
rename indgrnt5 w6_ind_inccare  
rename indgrnt2 w6_ind_incgovpen  
rename indgrnt7 w6_ind_incwar	 
rename indgrnt6 w6_ind_incsrd 
rename indgrnt8 w6_ind_inccovid  
drop indgrnt9
	 
forval i = 2/3 {	 
	replace w6_ind_incdis = 1 if w6_incgovtyp`i' == 3
	replace w6_ind_incchld = 1  if w6_incgovtyp`i' == 1
	replace w6_ind_incfos = 1  if w6_incgovtyp`i' == 4
	replace w6_ind_inccare = 1  if w6_incgovtyp`i' == 5
	replace w6_ind_incgovpen = 1  if w6_incgovtyp`i' == 2
	replace w6_ind_incwar = 1	 if w6_incgovtyp`i' == 7
	replace w6_ind_incsrd = 1 if w6_incgovtyp`i' == 6
	replace w6_ind_inccovid = 1  if w6_incgovtyp`i' == 8
}

/*
* JB: checking grants
cap drop w6_fwgt w5_fwgt
gen w6_fwgt = fwgt
gen w5_fwgt = round(w5_wgt)

foreach wv in w5 w6 {
	tab `wv'_ind_incdis [fw=`wv'_fwgt]
	tab `wv'_ind_incchld  [fw=`wv'_fwgt]
	tab `wv'_ind_incfos  [fw=`wv'_fwgt]
	tab `wv'_ind_inccare  [fw=`wv'_fwgt]
	tab `wv'_ind_incgovpen  [fw=`wv'_fwgt]
	tab `wv'_ind_incwar [fw=`wv'_fwgt]
	
	***
	
}

tabstat w5_csg_number  w5_oap_number [fw=w5_fwgt] if w5_age>17, s(sum)
tabstat w6_csg_number  w6_oap_number [fw=w6_fwgt], s(sum)



cap drop w6_fwgt w5_fwgt
*/


*** Food 
	// RZ note: I think we should use w6_hhfdyn rather than w6_fdayn/fdcyn/fdcskp to measure food insecurity. The former asks about April, and the latter asks about the last 7 days. JB: all agreed
	 
	 recode w6_fdcskp (-9/-1=.)
	 recode w6_fdcyn (-9/-1=.) (1=1) (2=0)	// JB edit
	 recode w6_hhfdyn (-9/-1=.) (1=1) (2=0)  // JB edit
	 recode w6_fdayn (-9/-1=.) (1=1) (2=0)  // JB edit


***	Income sources
	//Note: The code below does NOT yeild comparable variables for "main income source". If the two are used comparatively, these differences will need to be highlighted. The CRAM data simply reports whether a given source of income was a source of income for the household of the respondent. It seems like there is underreporting of household income sources in this variable. 

// JB commented out because we don't use. Not checked	
/*	
	egen aux1 = rowtotal(w5_hhwage w5_hhgovt w5_hhremitt w5_hhagric w5_hhinvest w5_hhother)
	gen w5_hhrest = w5_hhincome - aux1	
	replace w5_hhrest=0 if w5_hhrest<0.1
	foreach var in w5_hhwage w5_hhgovt w5_hhremitt w5_hhagric w5_hhinvest w5_hhother {
		gen `var'_rel = `var'/ aux1 if w5_hhrest==0
		replace `var'_rel = 0 if `var'_rel ==. & w5_hhrest==0
		}	
		lab var w5_hhwage	 "Real hh monthly income from labour market"
		lab var w5_hhgovt	 "Real hh monthly income from government grants"
		lab var w5_hhremitt  "Real hh monthly income from remittances"		
		lab var w5_hhagric	 "Real hh monthly income from subsistence agriculture"	
		lab var w5_hhinvest  "Real hh monthly income from investments"
		lab var w5_hhother	 "Real hh monthly income from other government sources"	
		lab var w5_hhrest	 "Real hh monthly income from unknown source (imputed)"		
	gen aux2 = max(w5_hhwage, w5_hhgovt, w5_hhremitt, w5_hhagric, w5_hhinvest, w5_hhother, w5_hhrest)
	gen w5_source=.
	replace w5_source=1 if w5_hhwage	 == aux2 & aux2!=. & aux2!=0
	replace w5_source=2 if w5_hhgovt	 == aux2 & aux2!=. & aux2!=0
	replace w5_source=3 if w5_hhremitt == aux2 & aux2!=. & aux2!=0
	replace w5_source=4 if w5_hhagric  == aux2 & aux2!=. & aux2!=0
	replace w5_source=5 if w5_hhinvest == aux2 & aux2!=. & aux2!=0
	*replace w5_source=6 if w5_hhcapital== aux2 & aux2!=. & aux2!=0
	replace w5_source=6 if w5_hhother	 == aux2 & aux2!=. & aux2!=0	
	replace w5_source=. if w5_hhrest	 == aux2 & aux2!=.	
	lab var w5_source "Household main source of income"
	lab def w5_source 1 "Labour" 2 "Government grants" 3 "Remittances" 4 "Subsistence agriculture" 5 "Investments" 6 "Other government sources"
		lab val w5_source w5_source
	drop aux1 aux2
*/

/*
** JB: would need to create dummies for this to be useful, and we don't use it in analysis, so just dropping

	recode w6_hhincsrc1 (-9/-1 = .) (1=1 "Labour") (3=2 "Government grants") (4=3 "Remittances") (2=4 "Business profits") (5=5 "Other") (6=6 "No income"), gen (w6_source)
	replace w6_source = 7 if (w6_hhincsrc2 > 1 & w6_hhincsrc2 !=.) | (w6_hhincsrc3 > 1 & w6_hhincsrc3 !=.) 
	lab def w6_s 1 "Labour" 2 "Government grants" 3 "Remittances" 4 "Business profits" 5 "Other" 6 "No income" 7 "Multiple sources" 
	lab val w6_source w6_s
*/



//GRANT TYPE

/*
* JB deleting and adding new coverage variables below

replace w6_tersuif_yn=0 if w6_tersuif_yn==.
replace w6_csg_number=0 if w6_csg_number==.
replace w6_oap_number=0 if w6_oap_number==.



cap drop cover
g cover= 1 if inrange(w6_empcat_apr,2,4) & w6_tersuif_yn==0 & (w6_oap_number==0 | w6_csg_number==0)
replace cover=2 if inrange(w6_empcat_apr,2,4) & w6_tersuif_yn==1 & w6_oap_number ==0 & w6_csg_number==0
replace cover= 3 if inrange(w6_empcat_apr,2,4) & w6_tersuif_yn==0 & (w6_oap_number>0 | w6_csg_number>0)
replace cover= 4 if inrange(w6_empcat_apr,2,4) & w6_tersuif_yn==1 & (w6_oap_number>0 | w6_csg_number>0)

lab def cover 1 "No Coverage" 2 "Ters only" 3 "Grants only" 4 "Both", modify
lab val cover cover

cap drop cov?
tab cover, gen(cov)
*/

*JB: commenting out, no longer need these
/*
*mutually exclusive definition of receipt of grant (at the hh level)
gen w6_hh_grant_type = .
replace w6_hh_grant_type =0 if w6_oap_number ==0 & w6_csg_number==0
replace w6_hh_grant_type =1 if w6_csg_number >0 & w6_csg_number!=.  & w6_oap_number==0
replace w6_hh_grant_type =2 if w6_oap_number >0 & w6_oap_number!=. & w6_csg_number ==0
replace w6_hh_grant_type =3 if w6_oap_number >0 & w6_oap_number!=. & w6_csg_number >0 & w6_csg_number!=.
cap lab def w6_hh_grant_type 0 "No grant received" 1 "Child support grant" 2 "Old age pension" 3 "Both"
lab val w6_hh_grant_type w6_hh_grant_type
cap lab var w6_hh_grant_type "Grant received in household"


*mutually exclusive individual level grant at individual-level (COVID, TERS, CSG, UIF, OTHERS) 
 *note at the individual level is given by: w6_incgovtyp1 0 "No grant received" 1 "Child support grant" 2 "Old age pension" 3 "Disability grant" 4 "Foster care grant" 5 "Care dependency grant"

gen w6_ind_grant_type = .
replace w6_ind_grant_type =0 if (w6_incgov ==0 & w6_uneminc_uif==2) | (w6_incgov ==0 & w6_tersuif_yn==0) //Note: UIF only for unemployed and TERS only defined for employed
replace w6_ind_grant_type =1 if  w6_incgov ==0 & w6_uneminc_uif==1
replace w6_ind_grant_type =2 if  w6_incgov ==0 & w6_tersuif_yn==1
replace w6_ind_grant_type =3 if ((w6_incgovtyp1==8 | w6_incgovtyp1==6) & w6_uneminc_uif==2) | ((w6_incgovtyp1==8 | w6_incgovtyp1==6) & w6_tersuif_yn==0)
replace w6_ind_grant_type =4 if (w6_incgovtyp1 ==1 & w6_uneminc_uif==2) |  (w6_incgovtyp1 ==1 & w6_tersuif_yn==0)
replace w6_ind_grant_type =5 if (w6_incgov ==1 & w6_incgovtyp1 !=. & w6_incgovtyp1 !=1 & w6_incgovtyp1 !=6 & w6_incgovtyp1 !=8 & w6_uneminc_uif==2) |  (w6_incgov ==1 & w6_incgovtyp1 !=. & w6_incgovtyp1 !=1 & w6_incgovtyp1 !=6 & w6_incgovtyp1 !=8 & w6_tersuif_yn==0)
replace w6_ind_grant_type =6 if w6_incgov ==1 & w6_uneminc_uif==1 
replace w6_ind_grant_type =7 if w6_incgov ==1 & w6_tersuif_yn==1 

lab def w6_ind_grant_type 0 "No grant received" 1 "UIF only" 2 "TERS only" 3 "COVID-relief grant only" 4 "Child support grant only" 5 "Other govt grants, No UIF or TERS" 6 "UIF and At least one govt grant" 7 "TERS and At least one govt grant"
lab val w6_ind_grant_type w6_ind_grant_type
lab var w6_ind_grant_type "Grant received by an individual"


//IB: Why are the UIF and ters all OR rather than AND disqualifications? I don't think this is correct...

*/		
		
**JB: new creation of coverage variables

*** Create household grant receipt ***
gen w6_hhincgov = .
replace w6_hhincgov = 1 if w6_csg_number > 0 & !mi(w6_csg_number)
replace w6_hhincgov = 1 if w6_oap_number > 0 & !mi(w6_oap_number)
replace w6_hhincgov = 1 if w6_incgov == 1
replace w6_hhincgov = 0 if w6_incgov == 0 & w6_csg_number == 0 & w6_oap_number == 0
	// only 147 missing obs
lab var w6_hhincgov "Grant receipt in household"


g w6_hhcsg= 0 if w6_csg_number==0
replace w6_hhcsg=1 if (w6_csg_number > 0 & !mi(w6_csg_number))
g w6_hhothergrant= 0 if w6_hhincgov!=.
replace w6_hhothergrant= 1 if (w6_oap_number > 0 & !mi(w6_oap_number)) | (w6_incgov==1 & w6_ind_incchld!=1)
//215 and 147 missing

gen cover_grnt_unemp = .
replace cover_grnt_unemp = 1 if w6_hhcsg == 0 & w6_hhothergrant == 0
replace cover_grnt_unemp = 2 if w6_hhcsg == 1 & w6_hhothergrant == 0
replace cover_grnt_unemp = 3 if w6_hhcsg == 0 & w6_hhothergrant == 1
replace cover_grnt_unemp = 4 if w6_hhcsg == 1 & w6_hhothergrant == 1

label define cover_grnt_unemp 1 "No cover" 2 "HH CSG only" 3 "HH other Grant only" 4 "Both", modify
lab val cover_grnt_unemp  cover_grnt_unemp 
lab var cover_grnt_unemp "Coverage of grants"


gen cover_grnt_ters = .
replace cover_grnt_ters = 1 if w6_tersuif_yn == 0 & w6_hhincgov == 0
replace cover_grnt_ters = 2 if w6_tersuif_yn == 1 & w6_hhincgov == 0
replace cover_grnt_ters = 3 if w6_tersuif_yn == 0 & w6_hhincgov == 1
replace cover_grnt_ters = 4 if w6_tersuif_yn == 1 & w6_hhincgov == 1

label define cover_grnt_ters 1 "No cover" 2 "TERS only" 3 "Grant only" 4 "Both"
lab val cover_grnt_ters cover_grnt_ters
lab var cover_grnt_ters "Coverage of grants and TERS"
	
		
		
//hhinc quintiles	
g w5_hhincomepc= w5_hhincome/w5_hhsizer
xtile w5_hhincomepc_q4= w5_hhincomepc [aw=w5_wgt], n(4)


*JB: commented out until I can return to it... it was dropping 93 obs from the dataset		
*===============================================================================
***	Generating a "best-guess" household variable
*===============================================================================
/*

	gen w6_hhid = w5_hhid 
	replace w6_hhid = . if w6_outcome !=1
	sort w6_hhid
	by w6_hhid: gen byte w6_hhcount=_n  // Simply assigns numbers counting the respondents in NIDS-CRAM who were in the same household in NIDS W5 
	drop if w6_hhcount >7 & w6_hhcount!=. // Somethoing funny going on here. Seems like there is a 100 person household carried over from NIDS W5. Will need to check, for now setting all of these to missing. 
	*tab w6_hhcount, sum(w6_hhincome)
	
	gen w6_hh_bestguess = . // w6_hh_bestguess is the variable which will indicate whether we think that a particular individual is still co-residing with all of the other NIDS-CRAM sample members with whom they had coresided in NIDS W5. (Note: Better code will be able to distinguish two individuals who remain coresident even if a third changes household. This code does not to that, unfortunately) This will be defined as set out in the following code
	bysort w6_hhid: egen w6_num_hh = max(w6_hhcount) // By NIDS W5 hh, gives the total number of NIDS W5 hhmemebrs who were interviewed in NIDS-CRAM
	bysort w6_hhid: replace w6_hh_bestguess = 0 if w6_num_hh ==1 //If only one was, we obviously don't match them with another household member from NIDS W5
	bysort w6_hhid: replace w6_hh_bestguess = 1 if w6_num_hh >1 & w6_num_hh !=. // For now, defining all those NIDS-CRAM respondents who share a NIDS W5 hhid with another NIDS-CRAM respondent as still being in the same household. 
	bysort w6_hhid: egen hhsize_max = max(w6_hhsizer)
	bysort w6_hhid: egen hhsize_min = min(w6_hhsizer)
	bysort w6_hhid: egen dc_max = max(w6_dc2011)
	bysort w6_hhid: egen dc_min = min(w6_dc2011)
	bysort w6_hhid: gen hhsize_diff = hhsize_max-hhsize_min
	bysort w6_hhid: gen dc_diff = dc_max-dc_min
	bysort w6_hhid: replace w6_hh_bestguess = 0 if hhsize_diff >1 | hhsize_diff <-1 | dc_diff !=0 // The idea here is to move those individuals whose salient household characteristics do not match those of their former NIDS W5 hh coresidents back into the "0" category of the hh_best_guess variable. Here the salient characteristics are district council (if the difference between any individuals from the same NIDS w5 hh is different to zero, we know they are not living in the same DC) and number of household members (here, allowing for some reporting error, we allow for a difference in household size of one member without triggering the exclusion criterion)
	//IB can't we use W5 dc? w5_dc2011
	//I think this var can be improved, will come back to it

* RZ asked JB to add:
replace w6_hhid = . if w6_hh_bestguess ==0	

*/

*** JB ADDITIONS


**** JB: metro & DCs


* w6_mdbdc2011 and w6_dc2011 are just recodings of each other
bys w6_dc2011 (w6_mdbdc2011): assert w6_mdbdc2011[1] == w6_mdbdc2011[_N]
bys w6_mdbdc2011  (w6_dc2011): assert w6_dc2011[1] == w6_dc2011[_N]

replace w6_dc2011 = . if w6_dc2011 < 0
replace w6_mdbdc2011 = "" if inlist(w6_mdbdc2011, "-3", "-8")

gen w6_metro = inlist(w6_dc2011, 199, 260, 299, 499, 599, 797, 798, 799)
replace w6_metro = . if mi(w6_dc2011)
lab def w6_metro 1 "Yes" 2 "No"
lab val w6_metro w6_metro
lab var w6_metro "Metro dummy"




***** Income losses


* Lost main source of income
recode w6_hhincchng (-9/-1=.) (1=1 "Yes") (2=0 "No"), gen(w6_hhincloss_main)

* Lost any source of income

// clean
forval i = 1/3 {
	replace w6_hhincdec`i' = . if w6_hhincdec`i'<0
}

// check that those saying no decrease don't then list decreases
assert !inrange(w6_hhincdec2, 1,6) & !inrange(w6_hhincdec3, 1,6) if w6_hhincdec1 == 7

gen w6_hhincloss_any = .
replace w6_hhincloss_any = 0 if w6_hhincdec1 == 7
replace w6_hhincloss_any = 1 if inrange(w6_hhincdec1, 1,5)

// when hhold had no income in feb, code as no loss of income so long as they don't list other sources of income less elsewhere
replace w6_hhincloss_any = 0 if w6_hhincdec1 == 6 & !inlist(w6_hhincdec2, 1,2,3,4,5) & !inlist(w6_hhincdec3, 1,2,3,4,5)

// condition actually holds across data anyway...
assert !inlist(w6_hhincdec2, 1,2,3,4,5) if w6_hhincdec1 == 6


// 2 replacements
replace w6_hhincloss_any = 0 if mi(w6_hhincdec1) & w6_hhincdec2 == 7 & mi(w6_hhincdec3)

lab def w6_hhincloss_any 1 "Yes" 0 "No"
lab val w6_hhincloss_any w6_hhincloss_any
lab var w6_hhincloss_any "Household lost any source of income"



*****IB late additions: 


//Number of dependents
g earnflag= (w5_totwage>0 & w5_totwage!=.)
bys w5_hhid: egen hhnumearners= total(earnflag)
asser hhnumearners!=. & w5_hhsizer!=.

g w5_hhdependents= w5_hhsizer/hhnumearners
assert w5_hhdependents!=. if hhnumearners!=0 


//Hunger (missing num days goes missing)
g w6_fdcyn_imp= w6_fdcyn
replace w6_fdcyn_imp= w6_fdcskp/5 if w6_fdcyn_imp==1

g w6_fdayn_imp= w6_fdayn 
replace w6_fdayn_imp= w6_fdaskp/5 if w6_fdayn_imp & w6_fdaskp>0




*******************************************************************************
//Cleaned HH income var
// 1. Income lower bound
*===============================================================================
replace w6_hhincome=0 if inrange(w6_hhincome,0,2) 
*Jb notes: classifying SRD as COVID R350 - seems reasonable

*cleaning tot grants per hh - reducing number of grants where total number of grants exceeds total number of eligible recipients in hh
// Note: This is not necessarily a correction which reduces noise: People are just as likely to misreport the number of elderly/children as they are to misreport the number of CSGs/OAPs
*csg
count if w6_csg_number > w6_tot_child
gen w6_csg_number_clean = w6_csg_number
replace w6_csg_number_clean = w6_tot_child if w6_csg_number > w6_tot_child & w6_csg_number !=.	// 558 replacements, wow

*oap
count if w6_oap_number > w6_tot_elder 
gen w6_oap_number_clean = w6_oap_number
replace w6_oap_number_clean = w6_tot_elder if w6_oap_number > w6_tot_elder & w6_oap_number !=.	// 296 changes

	*lower bounds for income = grants in the household + reported labour earnings + personal grant receipt
	// First, create these income items
	gen w6_csg_inc = w6_csg_number*440
	gen w6_oap_inc = w6_oap_number*1860
	gen w6_csg_inc_cl = w6_csg_number_clean*440
	gen w6_oap_inc_cl = w6_oap_number_clean*1860
	gen w6_dg_inc = 1860 if w6_ind_incdis == 1
	gen w6_fcg_inc = 1080 if w6_ind_incfos == 1
	gen w6_cdg_inc = 1860 if w6_ind_inccare == 1
	gen w6_srdg_inc = 350 if w6_ind_inccovid ==1 | w6_ind_incsrd == 1
	
	// Second, sum these into a hh_inc lower bound 
	*Original hh level csg and oap vars
	egen w6_hhincome_lb =     rsum(w6_csg_inc    w6_oap_inc    w6_dg_inc w6_fcg_inc w6_cdg_inc w6_srdg_inc w6_totwage_apr), missing
	
	*Cleaned hh level csg and oap vars
	egen w6_hhincome_lb_cl =  rsum(w6_csg_inc_cl w6_oap_inc_cl w6_dg_inc w6_fcg_inc w6_cdg_inc w6_srdg_inc w6_totwage_apr), missing
	

	
// 2. Outlier detection 
*===============================================================================
	// JB: change regs to treat categorical variables properly
	
	// RZ: Using bacon (https://journals.sagepub.com/doi/pdf/10.1177/1536867X1001000302) to detect outliers in multivariate data, what I do here is predict an income/earnings value based on simple OLS, and then use bacon to determine whether observed values should be considered outliers, given the fitted value for income/earnings. The key parameter we as researchers need to determine, somewhat arbitrarily, is the "percentile" value. This is "the 1 − # percentile of the chi-squared distribution to be used as a threshold to separate outliers from nonoutliers" where a "larger # identifies a larger proportion of the sample as outliers.". Note that the p# I select is different for income than for earnings, which I determined after looking at the scatter plots which identify outliers. We can change this depending on what seems reasonable. 
	// Note: Still need to decide what to do about these outliers - probably the simplest and most sensible approach is to simply trim them. 

	gen w6_hhincome_ln = log(w6_hhincome)
	gen w6_hhincome_lb_ln = log(w6_hhincome_lb)
	gen w6_eminc_apr_imp_ln = log(w6_eminc_apr_imp)
	
	
//RJ: removed repeats, w6_hhincome_lb, w6_hhsizer and included interactions, replaced to default trimming - p(0.15) here as without this not finding any outliers 
	cap drop w6_hhincome_hat
	reg w6_hhincome_ln w6_age w6_hhsizer i.w6_race i.w6_area i.w6_occu i.w6_educ_bins i.w6_gender i.w6_prov [aw=w6_wgt], r 
	predict w6_hhincome_hat	

	cap drop out_hhinc
	bacon w6_hhincome_ln w6_hhincome_hat, generate(out_hhinc) percentile(0.15) replace
	*scatter w6_hhincome_ln w6_hhincome_hat, ml(out_hhinc) ms(i) note("0 = nonoutlier, 1 = outlier")
	*tw (kdensity w6_hhincome_ln  if out_hhinc ==0 [aw=w6_wgt] ) (kdensity w6_hhincome_ln [aw=w6_wgt] ), leg(on order(1 "No outliers" 2 "Raw") pos(6) row(1))	//makes quite a bit of difference in density 
	
***	Earnings	//JBedit: small change here as w6_race did not have i. prefix. Fixing makes no differece.
	cap drop w6_eminc_apr_imp_hat
	reg w6_eminc_apr_imp_ln w6_age i.w6_race i.w6_area i.w6_occu i.w6_educ_bins i.w6_gender i.w6_prov if w6_empl_stat ==3 [aw=w6_wgt], r
	predict w6_eminc_apr_imp_hat	

	cap drop out_eminc
	bacon w6_eminc_apr_imp_ln w6_eminc_apr_imp_hat, generate(out_eminc) percentile(0.20) replace //RJ: replaced to 20 
	*scatter w6_eminc_apr_imp_ln w6_eminc_apr_imp_hat if w6_empl_stat ==3 , ml(out_eminc) ms(i) note("0 = nonoutlier, 1 = outlier")
	*tw (kdensity w6_eminc_apr_imp_ln  if out_eminc ==0 [aw=w6_wgt] ) (kdensity w6_eminc_apr_imp_ln [aw=w6_wgt] ), leg(on order(1 "No outliers" 2 "Raw") pos(6) row(1))	//doesn't make much difference

	
// 3. Various cleaned income variables
*===============================================================================
***	Main respondent from NIDS
	gen temp = w5_h_respondent if w6_outcome ==1
	gen w6_NIDShhrespondent = 0
	replace w6_NIDShhrespondent = 1 if temp ==pid
	drop temp

	tab w6_NIDShhrespondent [aw=w6_wgt], sum(w6_hhincome)
	
***	Income raw
	gen w6_hhincome_raw = w6_hhincome if w6_outcome==1
	
***	Income w/o outliers
	gen w6_hhincome_cl = w6_hhincome if w6_outcome==1
	replace w6_hhincome_cl = . if out_hhinc ==1 & w6_outcome==1 //13 outliers 
	
***	Income w/ LB imputation
	// NOTE: On line 34 above, I adjust no. of grants used in the LB estimate downward, based on reported number of grant eligible hh members. Need to decide whether to use the hh grants as given or use this adjusted variable
	gen w6_hhincome_imp = w6_hhincome_cl if w6_outcome==1
	replace w6_hhincome_imp = w6_hhincome_lb if w6_hhincome_lb > w6_hhincome_cl & w6_hhincome_lb !=. & w6_outcome==1 //1836 replaced out of 4395
	//replace w6_hhincome_imp = w6_hhincome_lb if w6_hhincome_cl==. & w6_hhincome_lb !=.   //RJ: if want to impose LB for missings too - but doesn't do a good job at all ->gen too many humps
	
	/*
***RJ: Predicting who is replaced with LB:
	gen replaceLB=0 if w6_outcome==1 & w6_hhincome_cl!=.
	replace replaceLB=1 if w6_hhincome_lb > w6_hhincome_cl & w6_hhincome_lb !=. & w6_outcome==1
	reg replaceLB w6_age w6_hhsizer i.w6_race i.w6_area i.w6_educ_bins i.w6_gender i.w6_prov, r
	probit replaceLB w6_age w6_hhsizer i.w6_race i.w6_area i.w6_occu i.w6_educ_bins i.w6_gender i.w6_prov, r
	*/

***	Log of all our new hhincome vars + NIDS W5 vars
	foreach var in w6_hhincome_raw w6_hhincome_cl w6_hhincome_imp w5_hhq_inc w5_hhincome  {
	gen `var'_ln = log(`var')
	}

	/*
***RJ: checking the difference in bound and replaced value for those who are replaced
	*raw:
	gen dhhinc_imp_cl = w6_hhincome_imp - w6_hhincome_cl if replaceLB==1
	sum dhhinc_imp_cl, detail //
/*
	
    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
dhhinc_imp~l |      1,836    2225.234    5277.656    1.21109   88065.74
*/
	*log scale:
	gen dhhinc_imp_cl_ln = w6_hhincome_imp_ln - w6_hhincome_cl_ln if replaceLB==1
	sum dhhinc_imp_cl_ln, detail
/*
	
 Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
dhhinc_imp~n |      1,607    .5441973    .6319195   .0003223   4.238416

*/

*/	
*===============================================================================
***	Generating a "best-guess" household variable - RJ - using children as easier to report on this than HH_size as a whole 
*===============================================================================
	
	drop if mi(w5_hhid)
	
	* create w6_hhid as indicating the unique combinations of w6_hhsizer w6_dc2011 w6_hhid
	egen w6_guess_hhid = group(w6_tot_child w6_dc2011 w5_hhid) if w6_outcome == 1 & !mi(w6_tot_child) & !mi(w6_dc2011)
	bys w6_guess_hhid: gen w6_guess_hhpersonno = _n if !mi(w6_guess_hhid)		
	bys w6_guess_hhid: gen w6_guess_hhmatchsize = _N if !mi(w6_guess_hhid)		// number of people in each of these "best-guess" households
	egen w6_guess_hhmtag = tag(w6_guess_hhid) if !mi(w6_guess_hhid)				// tag one observation per "best_guess" household

	tab w6_guess_hhmatchsize if w6_guess_hhmtag == 1 & w6_outcome == 1, m
	/*

w6_guess_hh |
  matchsize |      Freq.     Percent        Cum.
------------+-----------------------------------
          1 |      5,052       88.62       88.62
          2 |        577       10.12       98.74
          3 |         63        1.11       99.84
          4 |          8        0.14       99.98
          5 |          1        0.02      100.00
------------+-----------------------------------
      Total |      5,701      100.00

	*/
*===============================================================================
***	END
*===============================================================================
