/*MAIN CLEANING FILE

*/



if c(username)=="ihsaa" {
	clear all
	global cram_w3  "C:\Users\ihsaa\Dropbox\CRAM paper\Wave 3"
	global trash "C:\Users\ihsaa\Documents\Data"
	global cram "C:\Users\ihsaa\Dropbox\CRAM paper"
}
if c(username)=="joshb" {
	clear all
	global cram_w3 "C:\Users\joshb\Dropbox\projects\CRAM paper\Wave 3"  
	global trash "C:\Users\joshb\Desktop\inbox"
	global cram "C:\Users\joshb\Dropbox\projects\CRAM paper"
}


********************************************************************
*LINK FILES
********************************************************************

*Main file includes all contacted incl non-response (except deceased)
use "${cram_w3}\Data\NIDS-CRAM_Wave3_Anon_Beta1.dta", clear

*Link to ALL, including deceased
merge 1:1 pid using "${cram_w3}\Data\Link_File_NIDS-CRAM_Wave3_Anon_Beta1.dta", // assert(match) - 59 in using only (dropping these)
drop if _merge==2 //These are all deceased
drop _merge

*Only derived variables, includes only successful interviews
merge 1:1 pid using "${cram_w3}\Data\derived_NIDS-CRAM_Wave3_Anon_Beta1.dta", // assert(match) - 1968 only in master (keeping these)
*non matched all didn't answer Qs (mostly not contacted)
drop _merge

*adding deflator
scalar base=115.2 												//Set scalar to base month, currently Feb 2020
cap drop w3_nc_deflator
gen w3_nc_deflator=.
replace w3_nc_deflator=base/117.1       // July 2020

lab var w3_nc_deflator "NIDS-CRAM W3 deflator"

rename w3_nc_* w8_*
g fwgt= round(w8_pweight)
g fwgt_extu= round(w8_pweight_extu)
numlabel, add

*Keep em days neg
g w8_emdaysneg_oct= w8_emdays_oct 


//Get rid of refusal and don't know
//NB: w2_nc_emdays_june -7 is "I was on leave" and 232 cases are coded as missing (as we did last time) - just flagging
foreach var in w8_eminc_oct w8_eminc_oct_brac w8_emwkinc_oct w8_emwkinc_oct_brac w8_emdayinc_oct w8_em2wksinc_oct w8_em2wksinc_oct_brac w8_emsinc_oct w8_emsinc_oct_brac w8_emdays_oct {
	recode `var' (-9/-1=.)
}

// fix for the nids-cram derived employment variable (because we're still using v1.0.0 just to avoid extra mess). we don't use this variable, but just in case...
replace w8_empl_stat=0 if w8_em_oct==3
	

*******************************************************************
* Earnings
*******************************************************************

* bracket vars check for updated data:
foreach var in w8_eminc_oct_brac w8_emwkinc_oct_brac w8_em2wksinc_oct_brac w8_emsinc_oct_brac    {
	assert inlist(`var', 1,2,3,4,5,6,.)
}

//Oct EARNINGS 
	*Also need to convert all figures to a monthly figure
	
// Monthly earnings (1177 non missing)
	local mbrac1 ERROR
	local mbrac2 1,3000
	local mbrac3 3001,6000
	local mbrac4 6001,12000
	local mbrac5 12001,24000
	local mbrac6 ERROR
	local mbracend 24000
	
	g w8_eminc_oct_imp= w8_eminc_oct
	replace w8_eminc_oct_imp = 0 if w8_eminc_oct_brac ==1
	forval i = 2/5 {
		qui: su w8_eminc_oct if inrange(w8_eminc_oct, `mbrac`i''), d
		replace w8_eminc_oct_imp = r(p50) if w8_eminc_oct_brac == `i'
	}
	replace w8_eminc_oct_imp = 2*`mbracend' if w8_eminc_oct_brac ==6
	
	
// Weekly earnings (143 non missing)
	local wbrac1 ERROR
	local wbrac2 1,700
	local wbrac3 701,1400
	local wbrac4 1401,2800
	local wbrac5 2801,5500
	local wbrac6 ERROR
	local wbracend 5500

	g w8_emwkinc_oct_imp= w8_emwkinc_oct
	replace w8_emwkinc_oct_imp = 0 if w8_emwkinc_oct_brac ==1
	forval i = 2/5 {
		qui: su w8_emwkinc_oct if inrange(w8_emwkinc_oct, `wbrac`i''), d
		replace w8_emwkinc_oct_imp = r(p50) if w8_emwkinc_oct_brac == `i'
	}
	replace w8_emwkinc_oct_imp = 2*`wbracend' if w8_emwkinc_oct_brac ==6
	
	
// Fortnightly earnings (87 non missing)
	local fbrac1 ERROR
	local fbrac2 1,1400
	local fbrac3 1401,2800
	local fbrac4 2801,5500
	local fbrac5 5501,11000
	local fbrac6 ERROR
	local fbracend 11000
	
	g w8_em2wksinc_oct_imp= w8_em2wksinc_oct
	replace w8_em2wksinc_oct_imp = 0 if w8_em2wksinc_oct_brac ==1
	forval i = 2/5 {
		qui: su w8_em2wksinc_oct if inrange(w8_em2wksinc_oct, `fbrac`i''), d
		replace w8_em2wksinc_oct_imp = r(p50) if w8_em2wksinc_oct_brac == `i'
	}
	replace w8_em2wksinc_oct_imp = 2*`fbracend' if w8_em2wksinc_oct_brac ==6
	

//Convert all earnings to monthly 
	* Multipling up to monthly totals. Just check whether the frequency var works as a flag for this replacement:
	assert mi(w8_eminc_oct_imp) if inlist(w8_empay_freq,1,2,3)	
	assert w8_empay_freq == 1 if !mi(w8_emdayinc_oct)
	assert w8_empay_freq == 2 if !mi(w8_emwkinc_oct_imp)
	assert w8_empay_freq == 3 if !mi(w8_em2wksinc_oct_imp)	// all good
	
	* JB: just to confirm that we shouldn't be using embusdays_apr for daily wage, confirm that those who report self-emp or "run a business" do not report daily earnings:
	assert mi(w8_emdayinc_oct) if inlist(w8_emtyp, 3,4)
	
	gen temp_day_monthly = w8_emdayinc_oct*w8_emdays_oct*4.33 if w8_emdays_oct >= 0 
		// RJ none report zero days so don't have the problem we had in w1 of some workers reporting daily earnings but no days
	gen temp_wk_monthly = w8_emwkinc_oct_imp*4.33
	gen temp_2wks_monthly = w8_em2wksinc_oct_imp*2.17
		
	* Sub in imputed daily, weekly and 2-weekly earnings
	replace w8_eminc_oct_imp = temp_day_monthly if mi(w8_eminc_oct_imp)
	replace w8_eminc_oct_imp = temp_wk_monthly if mi(w8_eminc_oct_imp)
	replace w8_eminc_oct_imp = temp_2wks_monthly if mi(w8_eminc_oct_imp)
	

	drop temp_day_monthly temp_wk_monthly temp_2wks_monthly

	
//oct profits (267 non-missing)
	g w8_emsinc_oct_imp= w8_emsinc_oct 
	replace w8_emsinc_oct_imp = 0 if w8_emsinc_oct_brac ==1
	
	sum w8_emsinc_oct if w8_emsinc_oct >0 & w8_emsinc_oct <3000, d
	replace w8_emsinc_oct_imp = r(p50) if w8_emsinc_oct_brac ==2
	sum w8_emsinc_oct if w8_emsinc_oct >=3000 & w8_emsinc_oct<=6000, d
	replace w8_emsinc_oct_imp = r(p50) if w8_emsinc_oct_brac ==3
	sum w8_emsinc_oct if w8_emsinc_oct >6000 & w8_emsinc_oct<=12000, d
	replace w8_emsinc_oct_imp = r(p50) if w8_emsinc_oct_brac ==4
	sum w8_emsinc_oct if w8_emsinc_oct>12000 & w8_emsinc_oct<=24000, d
	replace w8_emsinc_oct_imp = r(p50) if w8_emsinc_oct_brac ==5	
	replace w8_emsinc_oct_imp = 2*24000 if w8_emsinc_oct_brac ==6
	
	
//oct totwage
	egen w8_totwage_oct = rsum(w8_emsinc_oct_imp w8_eminc_oct_imp), missing
	*replace w8_totwage_oct =. if w8_totwage_oct >100000 //2 set to missing. Commented out bc these could easily be real.
	

******************************************************************
*** Employment status
******************************************************************

//Clean up days var
g w8_emdays_oct_imp= w8_emdays_oct

*JB: just confirm that busdays only exists for self-employed and business owners
assert mi( w8_embusdays_oct) if !inlist(w8_emtyp,3,4)
replace w8_emdays_oct_imp= w8_embusdays_oct if w8_emdays_oct_imp==. & w8_embusdays_oct>=0

//JB edited Label
// lab def w8_empcat 1 "Emp,days>0,wage>0" 2 "Emp,days=0,wage>0" 3 "Emp,days=0,wage=0" 4 "Unemp,days=0,wage=0", modify

lab def w8_empcat 1 `""Working": days>0"' 2 `""Paid leave": days=0,wage>0"' 3 `""Unpaid leave": emp/emreturn,days=0,wage=0"' 4 `""Not employed": noemp,days=0,wage=0"', modify

//Main Employment codes 
	*JB: some checks before we get going
	assert w8_emdays_oct_imp >= 0
	assert w8_totwage_oct >= 0
	
	cap drop w8_empcat_oct
	g w8_empcat_oct= .
	
	*1 - days>0
	replace w8_empcat_oct= 1 if (w8_emdays_oct_imp>0 & w8_emdays_oct_imp!=.)
	
	*2 - days==0, wage>0 
	replace w8_empcat_oct= 2 if (w8_emdays_oct_imp==0 | w8_emdays_oct_imp==.) ///
	& (w8_totwage_oct>0 & w8_totwage_oct!=.)
	
	*3 - emp, days==0, wage==0 ;; also 45 obs "no i'm emp", wage==0, hr==0
	replace w8_empcat_oct= 3 if (w8_em_oct==1 | w8_emany_oct==1 | w8_ems_oct==1) ///
	& (w8_emdays_oct_imp==0 | w8_emdays_oct_imp==.)  ///
	& (w8_totwage_oct==0 | w8_totwage_oct==.)
	
	replace w8_empcat_oct= 3 if (w8_em_oct ==2 & w8_emany_oct==2 & w8_ems_oct == 2) ///
	& (w8_emdays_oct_imp==0 | w8_emdays_oct_imp==.) ///
	& (w8_totwage_oct==0 | w8_totwage_oct==.)
	
	*4 - unemp, wage==0, days==0
	replace w8_empcat_oct= 4 if (w8_em_oct==2 & w8_emany_oct==2 & w8_ems_oct==3) ///
	& (w8_emdays_oct_imp==0 | w8_emdays_oct_imp==.) ///
	& (w8_totwage_oct==0 | w8_totwage_oct==.)
	
	lab val w8_empcat_oct w8_empcat

/*Oct notes
compare w8_totwage_oct w8_emdays_oct_imp
tab w8_emtyp if w8_totwage_oct!=. & w8_emdays_oct_imp==. & w8_totwage_oct>0
-- no days==0 obs, but 171 pos income while days==., split b/n regular, casual and self-employed. (close to proportionate)
*/
	

*Specific adjustment: Those who earn daily wage in oct and say emp but no days. Assign cat 2. (9 changes)
replace w8_empcat_oct= 2 if (w8_em_oct==1 | w8_emany_oct==1 | w8_ems_oct==1) & (w8_emdays_oct==.) & (w8_emdayinc_oct !=.)

*Specific adjustment: Set emp==3 if return job + reason=lockdown broadly (no wage, no hrs) 
* restrict changes to when w8_empcat_oct==4 or w8_empcat_oct==., and expanding w8_emabs_oct reasons (excludes "studying" and "poor health", "retrenched" and "maternity leave") (41 real changes)
replace w8_empcat_oct= 3 if inlist(w8_emabs_oct,1,2,4,5,6) & w8_emreturn==1 & inlist(w8_empcat_oct, 4,.)

* JB change: set oct pensioners to category 4 as NEA. means we have empcat for almost everyone, also logically consistent
*assert mi(w8_empcat_oct) if  w6_em_feb == 3 //keeping to check in the merged file
replace w8_empcat_oct = 4 if w8_em_oct == 3 //(529 changes)
*only 27 missing status AND successfully interviewed (w8_outcome)


*Specific adjustment: emp missing or not emp, but answer paid leave
	replace  w8_empcat_oct= 3 if !(w8_em_oct==1 | w8_emany_oct==1 | w8_ems_oct==1) & (w8_empcat_oct==4 | w8_empcat_oct==.) & w8_emdaysneg_oct==-7

	
	
	


*******************************************************************
*** Cleaning: Demographic vars
*******************************************************************


*** Age
	rename w8_best_age_yrs w8_age
	recode w8_age (-9/-1=.)

*** Gender
	ren w8_best_gen w8_gender
	
*** Race 
	rename w8_best_race w8_race
	recode w8_race  (-9/-1=.)
	
*** Area
	recode w8_geo2011 (-9/-1=.)
	assert w8_geo2011 >= 0	
	// JBedit2
	drop w8_area
	clonevar w8_area = w8_geo2011  
	
*** Province
	recode w8_prov2011 (-9/-1=.) (10=.)
	assert w8_prov2011 >= 0
	drop w8_prov
	rename w8_prov2011 w8_prov
	
*** Household composition	
	rename w8_nopres w8_hhsizer 
	replace w8_hhsizer = . if w8_hhsizer ==0 // no observatoins who report zero hhsize.
	rename w8_nou7res w8_tot_child_7
	rename w8_no7to17res w8_tot_child_717
	rename w8_nocld w8_tot_adult
	rename w8_no60res w8_tot_elder
	
	recode w8_hhsizer w8_tot_child_7 w8_tot_child_717 w8_tot_elder w8_tot_adult (-9/-1=.)
	
	
	*Replace with confirmed number if conflicting
	egen tempsize= rowtotal(w8_tot_child_7 w8_tot_child_717 w8_tot_adult w8_tot_elder), mi
	compare tempsize w8_hhsizer
	replace w8_hhsizer= tempsize if w8_hhsizer==. & tempsize!=. & w8_outcome==1
	drop tempsize

/*
-- before replaced, 6114 are equal, only unequal are missings (13).
(prob automatic checks)
*/
	
		
*** Education 
gen w8_educ_bins = .
replace w8_educ_bins = 1 if inrange(w8_edschgrd, 0, 7) |  inlist(w8_edschgrd,19,20)
replace w8_educ_bins = 2 if inrange(w8_edschgrd, 8, 11) | inlist( w8_edschgrd, 13,14,16,17,22)
replace w8_educ_bins = 3 if inlist(w8_edschgrd, 12,15,18)
replace w8_educ_bins = 4 if w8_edter== 1 & inlist(w8_edschgrd, 12,15,18)
	
la de educ_bins 1 "Up to Primary" 2 "Up to Secondary" 3 "Matric" 4 "Tertiary", modify
lab val w8_educ_bins educ_bins




*******************************************************************
*** Cleaning: Employment covars
*******************************************************************

	
***	Week work hours and days
	recode w8_emhrs_oct (-9/-1 = .) (19/24 = .)  // Recoding implausibly large numbers to missing
	recode w8_emdays_oct (-9/-1 = .) (8/max = .)  // Recoding implausibly large numbers to missing
	gen w8_emhrswk_oct = w8_emhrs_oct*w8_emdays_oct
	lab var w8_emhrswk_oct "Average work week (Hours)"



***	Written contract / formal employment
	recode w8_emcontr (1=1 "Yes") (2=0 "No") (-9/-2=.), gen(w8_formal)	
	lab var w8_formal "Written employment agreement"
	
***Payment frequency 
	recode w8_empay_freq (-8=.)	
	

foreach var in w8_totwage_oct w8_eminc_oct w8_eminc_oct_imp w8_emsinc_oct w8_emsinc_oct_imp w8_emwkinc_oct w8_em2wksinc_oct  w8_emdayinc_oct {
	replace `var' = `var'*w8_deflator
}


***Occupation (uses emp, self emp and unemp)
	
	recode w8_emwrk_isco_c w8_emswrk_isco_c w8_unemwrk_isco_c (-9/-1 = .)
	gen w8_occu = .
	
	//JB simplifying code and make structure of industry codes clearer. without these asserts one has to check the skip-pattern anyway to make sure the code makes sense.
	assert mi(w8_emswrk_isco_c) & mi(w8_unemwrk_isco_c) if !mi(w8_emwrk_isco_c) 
	replace w8_occu = w8_emwrk_isco_c 
	
	assert mi(w8_emwrk_isco_c) & mi(w8_unemwrk_isco_c) if !mi(w8_emswrk_isco_c)
	replace w8_occu = w8_emswrk_isco_c if mi(w8_occu)
	
	assert mi(w8_emwrk_isco_c) & mi(w8_emswrk_isco_c) if !mi(w8_unemwrk_isco_c)
	replace w8_occu = w8_unemwrk_isco_c if mi(w8_occu)
    
	label val w8_occu w3_nc_occ_code
		
*** Type of work
	recode w8_emtyp (-9/-1=.)	



*******************************************************************
*** Cleaning: Social protection 
*******************************************************************
	

*** November COVID grant application
	recode w8_incvgrt (-8/-3 =.)
	
	
*** TERS in october
	*Note: The NIDS variable related to whether UIF is deducted from one's salary. This is a different concept to the CRAM question, which asks about relief through UIF.
	recode w8_eminc_ters (-9/-8=.) (1=1 "Yes") (2=0 "No") (3=3 "Waiting"), gen(w8_tersuif_oct)
	replace w8_tersuif_oct= 0 if w8_tersuif_oct==.
	assert w8_tersuif_oct >= 0

	//RJ: added for this wave- w8_emsteers_oct - asked to businesses 
	recode w8_emsteers_oct (-9/-8=.) (1=1 "Yes") (2=0 "No") (3=3 "Waiting") (4=4 "Ineligible") (5=5 "Don't know how to") (6=6 "Other support")  , gen(w8_emsters_oct)
	assert w8_emsters_oct >= 0
	
	
*** UIF in october
	recode w8_unemincuifany_oct (1=1 "Yes") (2=0 "No") (-9/-8 = .), gen(w8_rwtbenuif_yn_oct)
	assert w8_rwtbenuif_yn >= 0
	lab var w8_rwtbenuif_yn "UIF reduced work-time benefit, oct"


	
*** CSG
	 rename w8_hhincchld w8_csg_number 
	 recode w8_csg_number (-9/-3 = .) 
	 assert w8_csg_number >=0 & w8_csg_number < 20 if !mi(w8_csg_number)
	 replace w8_csg_number = 1 if w8_csg_number ==. & w8_incchld == 1  
	 
***	OAPs in household
	rename w8_hhincgovpen w8_oap_number
	recode w8_oap_number (-9/-3 = .)  
	replace w8_oap_number = 1 if w8_oap_number ==. & w8_incgovpen== 1 
	 

*** SRD in household	
	rename w8_hhinccv_oct w8_srd_number
	replace w8_srd_number = 1 if w8_srd_number == -7	// JB2
	recode w8_srd_number (-9/-3 = .)  
	  	
		
***	Personal grant reciept - CRAM
	 recode w8_incgov_oct (-9/-8=.) (1=1) (2=0)
	 label define w8_incgov 0 "No" 1 "Yes"
	 label val w8_incgov_oct w8_incgov
	 recode w8_incgovtyp1 (-9/-8=.)
	 
	tab w8_incgovtyp1, gen(indgrnt)
	 
	*IB: Numbering thrown off bc of skips. Labels kept and checked.
	rename indgrnt1 w8_ind_incchld 
	rename indgrnt2 w8_ind_incgovpen  
	rename indgrnt3 w8_ind_incdis
	rename indgrnt4 w8_ind_incfos 
	rename indgrnt5 w8_ind_inccare  
	rename indgrnt6 w8_ind_incwar	
	rename indgrnt7 w8_ind_inccovid  
	rename indgrnt8 w8_ind_incother
	rename indgrnt9 w8_ind_incaid
	rename indgrnt10 w8_ind_incnsfas 

	forval i = 2/4 {	 
		replace w8_ind_incchld = 1  if w8_incgovtyp`i' == 1
		replace w8_ind_incgovpen = 1  if w8_incgovtyp`i' == 2
		replace w8_ind_incdis = 1 if w8_incgovtyp`i' == 3
		replace w8_ind_incfos = 1  if w8_incgovtyp`i' == 4
		replace w8_ind_inccare = 1  if w8_incgovtyp`i' == 5
		replace w8_ind_incwar = 1	 if w8_incgovtyp`i' == 7
		replace w8_ind_inccovid = 1  if w8_incgovtyp`i' == 8
		replace w8_ind_incother= 1  if w8_incgovtyp`i' == 9
		replace w8_ind_incaid = 1 if w8_incgovtyp`i' == 10
		replace w8_ind_incnsfas = 1  if w8_incgovtyp`i' == 11
	}


//Replace oap, csg and srd if individual receives but hh doesn't (JB2 we kind of already did this for SRD with incvrgt above)
replace w8_csg_number = 1 if (w8_csg_number==. | w8_csg_number==0) & w8_ind_incchld==1  
replace w8_oap_number = 1 if (w8_oap_number ==. | w8_oap_number==0) & w8_ind_incgovpen== 1 
replace w8_srd_number = 1 if (w8_srd_number ==. | w8_srd_number==0) & w8_ind_inccovid== 1 


/* Check numbers
tabstat w8_ind_incchld w8_ind_incgovpen w8_ind_incdis w8_ind_inccovid w8_ind_incnsfas [fw=fwgt], s(sum)
*csg undercounted as in previous waves, but others look about right. 
*/
	

*** Create household grant receipt 
gen w8_hhincgov = .
replace w8_hhincgov = 1 if w8_csg_number > 0 & !mi(w8_csg_number)
replace w8_hhincgov = 1 if w8_oap_number > 0 & !mi(w8_oap_number)
replace w8_hhincgov = 1 if w8_srd_number > 0 & !mi(w8_srd_number)
replace w8_hhincgov = 1 if w8_incgov_oct == 1
replace w8_hhincgov = 0 if w8_incgov_oct == 0 & w8_csg_number == 0 & w8_oap_number == 0 & w8_srd_number==0
* 2021 missing obs - most missings are non-response. 54 left.
* inspect w8_csg_number w8_oap_number w8_srd_number w8_incgov_oct if w8_outcome==1 & w8_hhincgov==.
lab var w8_hhincgov "Grant receipt in household"




*******************************************************************
*** New vars: Social protection intersections
*******************************************************************



*** Create household covid vs other vs no grant receipt


g w8_hhothergrant= 0 if w8_hhincgov!=.
replace w8_hhothergrant= 1 if (w8_oap_number > 0 & !mi(w8_oap_number)) | (w8_csg_number > 0 & !mi(w8_csg_number)) | (w8_incgov_oct==1 & w8_ind_inccovid!=1)

g w8_hhsrd= 0 if w8_srd_number==0 
replace w8_hhsrd=1 if (w8_srd_number > 0 & !mi(w8_srd_number))

gen w8_cover_grnt_unemp = .
replace w8_cover_grnt_unemp = 1 if w8_hhsrd==0 & w8_hhothergrant == 0
replace w8_cover_grnt_unemp = 2 if w8_hhsrd== 1 & w8_hhothergrant == 0
replace w8_cover_grnt_unemp = 3 if w8_hhsrd== 0 & w8_hhothergrant == 1
replace w8_cover_grnt_unemp = 4 if w8_hhsrd== 1 & w8_hhothergrant == 1

label define w8_cover_grnt_unemp 1 "No cover" 2 "HH SRD only" 3 "HH other Grant only" 4 "Both", modify
lab val w8_cover_grnt_unemp  w8_cover_grnt_unemp 
lab var w8_cover_grnt_unemp "Coverage of grants"



***Do hh version CSG vs SRD
g w8_hhcsg= 0 if w8_csg_number==0 
replace w8_hhcsg=1 if (w8_csg_number > 0 & !mi(w8_csg_number))

g w8_hhothergrant2= 0 if w8_hhincgov!=.
replace w8_hhothergrant2= 1 if (w8_oap_number > 0 & !mi(w8_oap_number)) | (w8_incgov_oct==1 & w8_ind_inccovid!=1 & w8_ind_incchld!=1)

gen w8_cover_srd_csg = .
replace w8_cover_srd_csg= 1 if w8_hhincgov == 0 
replace w8_cover_srd_csg= 2 if w8_hhsrd== 1 & w8_hhcsg==0 & w8_hhothergrant2== 0
replace w8_cover_srd_csg= 3 if w8_hhsrd== 0 & w8_hhcsg==1 & w8_hhothergrant2== 0
replace w8_cover_srd_csg= 4 if w8_hhsrd== 1 & w8_hhcsg==1 & w8_hhothergrant2== 0
replace w8_cover_srd_csg= 5 if w8_hhsrd== 0 & w8_hhcsg==0 & w8_hhothergrant2== 1
replace w8_cover_srd_csg= 6 if (w8_hhsrd== 1 | w8_hhcsg==1 | w8_hhothergrant2== 1) & w8_cover_srd_csg==.

label define w8_cover_srd_csg 1 "No cover" 2 "HH SRD only" 3 "HH CSG only" 4 "Both HH SRD & CSG" 5 "HH other grants only" 6 "HH many grants", modify
lab val w8_cover_srd_csg  w8_cover_srd_csg
lab var w8_cover_srd_csg "Coverage of CSG vs SRD"



***Do for TERS
gen w8_cover_grnt_ters = .
replace w8_cover_grnt_ters = 1 if w8_tersuif == 0 & w8_incgov_oct == 0
replace w8_cover_grnt_ters = 2 if w8_tersuif == 1 & w8_incgov_oct == 0
replace w8_cover_grnt_ters = 3 if w8_tersuif == 0 & w8_incgov_oct == 1
replace w8_cover_grnt_ters = 4 if w8_tersuif == 1 & w8_incgov_oct == 1

label define w8_cover_grnt_ters 1 "No cover" 2 "TERS only" 3 "Ind grant only" 4 "Both", replace
lab val w8_cover_grnt_ters w8_cover_grnt_ters
lab var w8_cover_grnt_ters "Coverage of grants and TERS"
*Many missings for this var, mostly driven by tersuif



**** Income losses
* Change in main source of income //NB: No 'any source income loss'
recode w8_hhincchng (-9/-1=.) 
recode w8_hhincchng (2=1 "Decreased") (1 3=0 "No"), gen(w8_hhincloss_main)

*Hunger (missing num days goes missing)
recode w8_fdcyn w8_fdcskp w8_fdayn w8_fdaskp (-9/-1=.)
recode  w8_fdcyn w8_fdayn (2=0)

g w8_fdcyn_imp= w8_fdcyn
replace w8_fdcyn_imp= w8_fdcskp/5 if w8_fdcyn_imp==1

g w8_fdayn_imp= w8_fdayn 
replace w8_fdayn_imp= w8_fdaskp/5 if w8_fdayn_imp==1 & w8_fdaskp>0

*Food
recode w8_hhfdyn (-9/-1=.) (1=1) (2=0)  
	

/*
NO HOUSEHOLD INCOME VAR IN THIS WAVE OF THE SURVEYS
*/

*******************************************************************
*** New vars: Industry
* for the economically active population, has as good coverage as w8_occu
*******************************************************************

foreach var in w8_emsect_c w8_emssect w8_unemsect_c {
	replace `var' = . if `var' < 0
	replace `var' = . if `var' == 11
	assert inrange(`var', 0,9) | mi(`var')
}

gen w8_sect = w8_emsect_c
replace w8_sect = w8_emssect if mi(w8_sect)
replace w8_sect = w8_unemsect_c if mi(w8_sect)
label values w8_sect w3_nc_sec_code

	
	
*===============================================================================
***	END
*===============================================================================
