
*TABLES AND FIGURES 
/*WAVE 3 CRAM

NOTE THIS FILE CALLS DO-FILES FROM PREVIOUS WAVES.
SEE PACKAGE.

*/

clear all
set more off, permanent
set maxvar 25000
capture log close
set scheme plotplain


if c(username)=="ihsaa" {
	global cram_w1 "C:\Users\ihsaa\Dropbox\CRAM paper\Wave 1"
	global cram_w2  "C:\Users\ihsaa\Dropbox\CRAM paper\Wave 2" 
	global cram_w3  "C:\Users\ihsaa\Dropbox\CRAM paper\Wave 3" 
	global trash "C:\Users\ihsaa\Documents\Data"
}

if c(username)=="joshb" {
	global cram_w1 "C:\Users\joshb\Dropbox\projects\CRAM paper\Wave 1"
	global cram_w2 "C:\Users\joshb\Dropbox\projects\CRAM paper\Wave 2"
	global cram_w3 "C:\Users\joshb\Dropbox\projects\CRAM paper\Wave 3"
	global trash "C:\Users\joshb\Desktop\inbox"
}



//COLOR CODING
global emp1 "green %70"
global emp2 "gold %70"
global emp3 "orange %70"
global emp4 "maroon %90"



***************************************************************
*Quick merge
***************************************************************

//Wave 6 (7064 obs)
use "${cram_w1}\Data\Data\w5_nc_v2.dta", clear
do "${cram_w1}\do files\cleaningfile_all_v1.do"

g w5_outcome= 1
replace w6_outcome= 0 if nids_sample==.
g w6_fwgt= round(w6_wgt)

keep w6_fwgt w?_outcome w6_totwage* w6_empcat* w6_age w6_gender w6_area w6_occu w5_a_em1contr ///
	w6_race w6_wgt w6_educ_bins pid w5_hhincomepc~4 w6_emdays_feb~p w6_emdays_apr~p ///
	w6_hhincloss_main  w6_metro cover_grnt_unemp cover_grnt_ters ///
	w6_hhfdyn jobloss_* w6_hhsizer w6_hhincome w5_formal w5_hhincome w5_hhq_inc ///
	w6_hhincome w6_hhincome_cl w6_hhincome_imp w6_guess_hhid w5_hhsizer w6_prov ///
	w5_prov w6_dc2011 w5_dc2011 w6_hhincloss_any w5_hhincomepc w6_csg_number ///
	w6_oap_number w5_hhdependents w6_eminc_feb w6_fdcyn_imp w6_fdayn_imp w6_eminc_apr ///
	w6_eminc_apr w6_emsinc_apr  w5_gender w5_area w5_empl_stat w5_occu w5_race w5_educ_bins  w5_age w6_outcome w6_empl_stat cluster stratum ///
	w6_em_feb w6_emany_feb w6_ems_feb // w6_emabs_feb

ren cover_* w6_cover_*
ren (jobloss_234) (w6_jobloss_234)

save "$trash\temp.dta", replace




//Wave 7 (5676 obs)
do "${cram_w2}\Do files\w2_cleaningfile_all_v2.do"
keep if w7_outcome==1
keep w7_totwage* w7_empcat* w7_age w7_gender w7_area w7_occu w7_race w7_educ_bins pid w7_emdays_* w7_hhincloss_main cover_grnt_unemp cover_grnt_ters w7_hhfdyn w7_hhsizer w7_hhincome w7_hhincome_cl w7_hhincome_imp w7_prov w7_dc2011 w7_csg_number w7_srd_number  w7_eminc_jun_imp w7_emsinc_jun_imp w7_oap_number w7_fdcyn_imp w7_fdayn_imp w7_hhsrd w7_ind_inccovid w7_ind_incchld w7_ind_incgovpen w7_ind_incdis cover_srd_unemp  cover_uif_unemp  w7_incvgrt  cover_indsrd_unemp w7_hhincome_lb w7_hhincome_lb_cl w7_hhincome_noimp_cl w7_outcome w7_empl_stat fwgt w7_sect w7_em_june

ren (fwgt) (w7_fwgt)
ren cover_* w7_cover_*


*Merge Wave 6 to wave 7 (all matched from wave 7)
merge 1:1 pid using "$trash\temp.dta"
replace w7_outcome= 0 if _merge==2
drop _merge
save "$trash\temp.dta", replace



//Wave 8 ( obs)
do "${cram_w3}\Do files\w3_cleaningfile_all.do"
keep if w8_outcome==1
keep w8_totwage* w8_empcat* w8_age w8_gender w8_area w8_occu w8_race w8_educ_bins pid w8_emdays_* w8_hhincloss_main  w8_hhfdyn w8_hhsizer w8_prov w8_dc2011 w8_csg_number w8_srd_number  w8_eminc_oct_imp w8_emsinc_oct_imp w8_oap_number w8_fdcyn_imp w8_fdayn_imp  w8_hhsrd w8_ind_inccovid w8_ind_incchld w8_ind_incgovpen w8_ind_incdis  w8_incvgrt w8_outcome w8_empl_stat w8_cover_grnt_unemp w8_cover_grnt_ters w8_cover_srd_csg fwgt fwgt_extu w8_sect w8_em_oct cluster stratum 

ren (fwgt fwgt_extu) (w8_fwgt w8_fwgt_extu)


*Merge Wave 8 to rest (5046 matched)
merge 1:1 pid using "$trash\temp.dta"
replace w8_outcome= 0 if _merge==2
drop _merge
save "$trash\temp.dta", replace



//Keep only obs that exist in waves 6, 7 or 8
keep if w6_outcome==1 | w7_outcome==1 | w8_outcome==1
numlabel, add
save "$trash\temp.dta", replace






***************************************************************
*SETUP TO KEEP HERE
***************************************************************
/*CAREFUL: topup obs only exist in wave 8
-- rathe define all on wave 5  which is common
*/
use "$trash\temp.dta", clear 


//Keep only working age pop (3 years backdated for 2017)
keep if inrange(w5_age, 15,61)


//Adult chars as defined in waves 6 and 8

*Youth (3 years backdated for 2017)
g youth= w5_age<=32 if w5_age<=52
g female= w5_gender==2 if w5_gender!=.

*Race (exclude indian)
g black= inlist(w5_race,1,2) if w5_race!=. & w5_race!=3

*Tertiary vs others
g tertiary= w5_educ_bins==4 if w5_educ_bins!=.
g nontertiary= tertiary==0 if tertiary!=.

g age2=w5_age^2

*group q1 and q2 together for het 
g w5_hhincomepc_cat= 1 if w5_hhincomepc_q4==1 | w5_hhincomepc_q4==2
replace w5_hhincomepc_cat= 2 if w5_hhincomepc_q4==3
replace w5_hhincomepc_cat= 3 if w5_hhincomepc_q4==4

g poor= w5_hhincomepc_cat==1 if w5_hhincomepc_cat!=.


*quartiles of feb earnings
g earn_feb_con= w6_totwage_feb if w6_totwage_feb>0 & w6_totwage_feb!=.
xtile earn_feb_conq= earn_feb_con [aw=w6_wgt], n(4)
recode earn_feb_conq (1 2=1)(3=2)(4=3)



//Adult chars defined in other years

g urban= w5_area==2 if w5_area!=.

*Informal 2017
g  contract= w5_formal==1 if w5_formal!=.
g noncontract= contract==0 if contract!=.



//Emp dummies
cap drop empfeb? empapr? empjun? empoct?
tab w6_empcat_feb if w6_empcat_feb!=., gen(empfeb)
tab w6_empcat_apr if w6_empcat_apr!=., gen(empapr) 
tab w7_empcat_jun if w7_empcat_jun!=., gen(empjun) 
tab w8_empcat_oct if w8_empcat_oct!=., gen(empoct) 



foreach i of numlist 6 7 8 {

	//Occupations
	recode w`i'_occu (1/3= 1 "Professionals")(4/8= 2 "Service/Operators") (9= 3 "Manual")(*=.), gen(w`i'_occupcat)
	g w`i'_manual= (w`i'_occupcat==3) if w`i'_occupcat!=.	
}


//Job loss
gen w6_jobloss_34 = 0 if w6_empcat_feb==1
replace w6_jobloss_34 = 1 if inlist(w6_empcat_apr, 3,4) & w6_empcat_feb==1
gen w7_jobloss_34 = 0 if w6_empcat_feb==1
replace w7_jobloss_34 = 1 if inlist(w7_empcat_jun, 3,4) & w6_empcat_feb==1
gen w8_jobloss_34 = 0 if w6_empcat_feb==1
replace w8_jobloss_34 = 1 if inlist(w8_empcat_oct, 3,4) & w6_empcat_feb==1


//Extrapolating industry back to w6
gen w6_sect = .
replace w6_sect = w7_sect
label values w6_sect w2_nc_sec_code


tab w6_occu [fw = w6_fwgt] if w6_empcat_apr == 1
tab w6_sect [fw = w6_fwgt] if w6_empcat_apr == 1
tab w6_sect [fw = w7_fwgt] if w6_empcat_apr == 1

tab w6_occu [fw = w6_fwgt] if w6_empcat_feb == 1
tab w6_sect [fw = w6_fwgt] if w6_empcat_feb == 1
tab w6_sect [fw = w7_fwgt] if w6_empcat_feb == 1


numlabel, add
compress
save "${trash}\temp.dta", replace



***************************************************************
*EMPLOYMENT
***************************************************************

*TABLE OF EMPLOYMENT COUNTS
use "${trash}\temp.dta", clear

//Reshape for standard errors (ttest doesn't work with svy)
ren (empfeb1 empapr1 empjun1 empoct1) (emp1 emp2 emp3 emp4)
ren (empfeb2 empapr2 empjun2 empoct2) (paid1 paid2 paid3 paid4)
ren (empfeb3 empapr3 empjun3 empoct3) (unpaid1 unpaid2 unpaid3 unpaid4)
ren (empfeb4 empapr4 empjun4 empoct4) (unemp1 unemp2 unemp3 unemp4)

	g fwgt1=w6_fwgt
	g fwgt2=w6_fwgt
	g fwgt3=w7_fwgt
	g fwgt4=w8_fwgt
keep pid emp? paid? unpaid? unemp? cluster stratum fwgt?
reshape long emp paid unpaid unemp fwgt, i(pid) j(time)
tab time, gen(t)
svyset cluster [weight = fwgt], strata(stratum)

g empany= emp==1 | paid==1 | unpaid==1

*mat by month: total, LB, UB \\ proportion, LB, UB 
forval i=1/4 {
foreach y in empany emp paid unpaid unemp { 
	svy: total `y' if time==`i'
	mat t`y'`i'= (r(table)[1,1],r(table)[5,1],r(table)[6,1])
	svy: reg `y' if time==`i'
	mat t`y'`i'= (t`y'`i' , (r(table)[1,1],r(table)[5,1],r(table)[6,1]))
	mat rown t`y'`i'= `y'
}
	mat t`i'= (tempany`i' \ temp`i' \ tpaid`i' \ tunpaid`i' \ tunemp`i')
}
mat T= (t1 \ t2 \ t3 \ t4)
mat list T



*EXHIBIT 1A, Overall employment***********************************

cap program drop fig1a_dat
prog define fig1a_dat

syntax, wgt(string)
*local wgt xsect
use "${trash}\temp.dta", clear

//Reshape for standard errors (ttest doesn't work with svy)
ren (empfeb1 empapr1 empjun1 empoct1) (emp1 emp2 emp3 emp4)
ren (empfeb2 empapr2 empjun2 empoct2) (paid1 paid2 paid3 paid4)
ren (empfeb3 empapr3 empjun3 empoct3) (unpaid1 unpaid2 unpaid3 unpaid4)
ren (empfeb4 empapr4 empjun4 empoct4) (unemp1 unemp2 unemp3 unemp4)

if ("`wgt'"=="xsect") {
	g fwgt1=w6_fwgt
	g fwgt2=w6_fwgt
	g fwgt3=w7_fwgt
	g fwgt4=w8_fwgt
}
else if ("`wgt'"=="panel") {
	forval i= 1/4 {
		g fwgt`i'= w8_fwgt_extu
	}
} 
keep pid emp? paid? unpaid? unemp? cluster stratum fwgt?
reshape long emp paid unpaid unemp fwgt, i(pid) j(time)
tab time, gen(t)
svyset cluster [weight = fwgt], strata(stratum)


//Collect estimates
mat A = J(1,3,.) 
foreach var in emp paid unpaid unemp {
	svy: reg `var' if time==1
	mat t1= (_b[_cons], r(table)[5,1], r(table)[6,1])
	svy: reg `var' if time==2
	mat t2= (_b[_cons], r(table)[5,1], r(table)[6,1])
	svy: reg `var' if time==3
	mat t3= (_b[_cons], r(table)[5,1], r(table)[6,1])
	svy: reg `var' if time==4
	mat t4= (_b[_cons], r(table)[5,1], r(table)[6,1])
	 
	svy: reg `var' t4 if inlist(time,3,4)
	mat t5= (_b[t4],  r(table)[5,1], r(table)[6,1]) 
	svy: reg `var' t4 if inlist(time,1,4)
	mat t6= (_b[t4],  r(table)[5,1], r(table)[6,1]) 
	
	mat A= (A \ t1 \ t2 \ t3 \ t4 \ t5 \ t6)
}
mat A= A[2..., 1...]


clear 
svmat A
g id= _n
ren (A1 A2 A3)(b lb ub)
g emptype= floor((id-1)/6) + 1
g month= mod(id-1,6)+1

*Adjust to percentages
foreach var in b lb ub {
	replace `var'= round(100*`var')
}


*Group by month  
sort month emptype
g orderid= _n
*Create gaps for bars
forval i= 4(4)24 {
	replace orderid= orderid+1 if orderid>=`i'+`i'/4
}
end

cap program drop fig1a_bar
prog define fig1a_bar
twoway (bar b orderid if emptype==1, col($emp1 )) ///
		(bar b orderid if emptype==2, col($emp2 )) ///
		(bar b orderid if emptype==3, col($emp3 )) ///
		(bar b orderid if emptype==4, col($emp4 )) ///
		(rcap ub lb orderid, col(gray%70)) ///
		(scatter b orderid, msym(none) mlab(b) mlabpos(11)), ///
		legend(row(2) order(1 "Active empl. (days>0)" 2 "Paid leave (days=0,wage>0)" 4 "Not employed"  3 "Temp. layoff (days=0, wage=0)") pos(6)) ///
		xlabel( 2.5 `""Pre-Lockdown" "(Feb)""'  7.5 `""Lockdown" "(L5, Apr)""' 12.5 `""Lockdown" "(L3, Jun)""' 17.5 `""Lockdown" "(L1, Oct)""' 22.5 `""Change" "(Jun-Oct)""' 27.5 `""Change" "(Feb-Oct)""', noticks) ///
		scheme(plotplain) xtitle("Employment status") ytitle("Pct. of working age adults") 
*ysize(6) xsize(5)
end

cap program drop fig1a_line
prog define fig1a_line

drop if month>4
recode month (1=2) (2=4) (3=6) (4=10)

twoway (scatter b month if emptype==1, col($emp1 ) connect(l)) (scatter b month if emptype==2, col($emp2 ) connect(l)) (scatter b month if emptype==3, col($emp3 ) connect(l)) (scatter b month if emptype==4, col($emp4 ) connect(l)) (rcap ub lb month, col(gray%70)) (scatter b month, msym(none) mlab(b) mlabpos(3)),  legend(row(2) order(1 "Active empl. (days>0)" 2 "Paid leave (days=0,wage>0)" 4 "Not employed"  3 "Temp. layoff (days=0, wage=0)") pos(6)) xlabel( 2 `""February" "(Pre-Lockdown)""'  4 `""April" "(Lockdown L5)""' 6 `""June" "(Lockdown L3)""' 10 `""October" "(Lockdown L1)""', noticks) scheme(plotplain) xtitle("Employment status") ytitle("Pct. of working age adults") xscale(range(1 11))

end



*Cross sectional weights (incl top ups)
fig1a_dat, wgt(xsect)
fig1a_bar
graph export "${cram_w3}\Figures\ex1a_empall_xsect.pdf", replace
graph export "${cram_w3}\Figures\ex1a_empall_xsect.svg", replace
graph export "${cram_w3}\Figures\ex1a_empall_xsect.png", replace


*other versions (cross sectional)
fig1a_dat, wgt(xsect)
fig1a_line
graph export "${cram_w3}\Figures\ex1a_empall_xsectline.pdf", replace
graph export "${cram_w3}\Figures\ex1a_empall_xsectline.svg", replace
graph export "${cram_w3}\Figures\ex1a_empall_xsectline.png", replace



*Panel weights (excludes top ups)
fig1a_dat, wgt(panel)
fig1a_bar
graph export "${cram_w3}\Figures\ex1a_empall_panel.pdf", replace
graph export "${cram_w3}\Figures\ex1a_empall_panel.svg", replace
graph export "${cram_w3}\Figures\ex1a_empall_panel.png", replace





*EXHIBIT 1B: Net Employment hetero se******************************

use "${trash}\temp.dta", clear

g manual1= w6_manual
g empcat1= w6_empcat_feb
drop w6_empcat_feb
g fwgt1= w6_fwgt
forval i= 2/4 {
	local j= `i'+4
	g fwgt`i'= w`j'_fwgt
	g empcat`i'= w`j'_empcat
	g manual`i'= w`j'_manual
}

keep pid empcat? manual? fwgt? female nontertiary noncontract poor urban w5_hhincomepc_cat cluster stratum black
reshape long empcat fwgt manual, i(pid) j(time)
tab time, gen(t)
svyset cluster [weight = fwgt], strata(stratum)


forval i=1/3 {
	g emp`i'= empcat<=`i' if empcat!=.
}
 
 
//Oct vs Feb
eststo clear
foreach dummy in female nontertiary noncontract manual poor black urban {
foreach y in emp1 emp2 emp3 {
	g t4_`dummy'= t4*`dummy'
	svy: reg `y' t4 `dummy' t4_`dummy' if `dummy'!=. & inlist(time,1,4)
	nlcom `dummy': (_b[t4]+_b[t4_`dummy'])/(_b[_cons]+_b[`dummy'])-_b[t4]/_b[_cons], post
	estimates store `y'`dummy'
	drop t4_`dummy'
}
}

* JB commented out manual for now because haven't fixed it for now

coefplot (emp1female emp1black emp1poor emp1nontertiary /* emp1manual */ emp1noncontract emp1urban,  ciop(lp(shortdash) col(green%30)) col(green%70)) ///
	(emp2female emp2black emp2poor emp2nontertiary /* emp2manual */ emp2noncontract emp2urban, ciop(lp(longdash) col(blue%30)) col(blue%70)) ///
	(emp3female emp3black emp3poor emp3nontertiary /* emp3manual */ emp3noncontract emp3urban, ciop(lp(solid) lw(thick) col(gold%50)) col(gold)) ///
	, xline(0)  coeflabels(female= `""Female" "(vs. Male)""' black= `" "Black" "(vs. White)" "' ///
	poor= `""Poorer" "(vs. Richer)""'  nontertiary= `""Non-Tertiary Educ." "(vs. Tertiary)""' ///
	/* manual= `""Manual Occup." "(vs. Other)""' */ noncontract= `" "Informal" "(vs. Formal)" "' urban= `" "Urban" "(vs. Rural)" "') ///
	leg(on order(1 "Active empl. (days>0)" 3 "Any income" 5 "Any job") pos(6) row(1)) ///
	xti("Differential change in employment rate, Oct vs. Feb", size(small))  
*ysize(6) xsize(5)

graph export "${cram_w3}\Figures\ex1b_emphetse_octfeb.pdf", replace
graph export "${cram_w3}\Figures\ex1b_emphetse_octfeb.svg", replace



//Oct vs June
eststo clear
foreach dummy in female nontertiary noncontract manual poor black urban {
foreach y in emp1 emp2 emp3 {
	g t4_`dummy'= t4*`dummy'
	svy: reg `y' t4 `dummy' t4_`dummy' if `dummy'!=. & inlist(time,3,4)
	nlcom `dummy': (_b[t4]+_b[t4_`dummy'])/(_b[_cons]+_b[`dummy'])-_b[t4]/_b[_cons], post
	estimates store `y'`dummy'
	drop t4_`dummy'
}
}


* JB commented out manual for now because haven't fixed it for now

coefplot (emp1female emp1black emp1poor emp1nontertiary /* emp1manual */ emp1noncontract emp1urban,  ciop(lp(shortdash) col(green%30)) col(green%70)) ///
	(emp2female emp2black emp2poor emp2nontertiary /* emp2manual */ emp2noncontract emp2urban, ciop(lp(longdash) col(blue%30)) col(blue%70)) ///
	(emp3female emp3black emp3poor emp3nontertiary /* emp3manual */ emp3noncontract emp3urban, ciop(lp(solid) lw(thick) col(gold%50)) col(gold)) ///
	, xline(0)  coeflabels(female= `""Female" "(vs. Male)""' black= `" "Black" "(vs. White)" "' ///
	poor= `""Poorer" "(vs. Richer)""'  nontertiary= `""Non-Tertiary Educ." "(vs. Tertiary)""' ///
	/* manual= `""Manual Occup." "(vs. Other)""' */  noncontract= `" "Informal" "(vs. Formal)" "' urban= `" "Urban" "(vs. Rural)" "') ///
	leg(on order(1 "Active empl. (days>0)" 3 "Any income" 5 "Any job") pos(6) row(1)) ///
	xti("Differential change in employment rate, Oct vs. June", size(small))   
*ysize(6) xsize(5)
graph export "${cram_w3}\Figures\ex1b_emphetse_octjun.pdf", replace
graph export "${cram_w3}\Figures\ex1b_emphetse_octjun.svg", replace






//EXHIBIT 1C, HET EMP BARS**************************************


//PROGRAM FOR STATS (cross sectional weights)
cap prog drop t1stats
prog define t1stats
	syntax [if]

	estpost tabstat empfeb1 empfeb2 empfeb3 empfeb4 `if' [fw=w6_fwgt], s(n mean)
	mat tfeb= (e(empfeb1)[1,1], e(empfeb1)[1,2], e(empfeb2)[1,2], e(empfeb3)[1,2], e(empfeb4)[1,2])
	
	estpost tabstat empjun1 empjun2 empjun3 empjun4 `if' [fw=w7_fwgt], s(n mean)
	mat tjun= (e(empjun1)[1,1], e(empjun1)[1,2], e(empjun2)[1,2], e(empjun3)[1,2], e(empjun4)[1,2])
	
	estpost tabstat empoct1 empoct2 empoct3 empoct4 `if' [fw=w8_fwgt], s(n mean)
	mat toct= (e(empoct1)[1,1], e(empoct1)[1,2], e(empoct2)[1,2], e(empoct3)[1,2], e(empoct4)[1,2])
	
	mat B= (B \ tfeb \ tjun \ toct)
end 


//HETEROGENEITY CATEGORIES
cap prog drop t1hetcats
prog define t1hetcats
	syntax [if], progname(string)

	//ALL
	`progname'

	//FEMALE AND TERTIARY
	foreach var in female nontertiary {
		foreach i of numlist 1 0 {
			`progname' if `var'==`i' 
		}
	}
	
	//Occup cat and 2017 hhincome cats
	foreach i of numlist 3 2 1 {
		`progname' if w7_occupcat==`i'
	}
	foreach i of numlist 1 2 3 {
		`progname' if w5_hhincomepc_cat==`i'
	}

	//2017 w5_a_em1contr_d
	foreach i of numlist 0 1 {
		`progname' if contract==`i' 
	}
	
	foreach i of numlist 1 0 {
		`progname' if urban==`i' 
	}

end


use  "${trash}\temp.dta", clear
matrix B = J(1,5,.) 
t1hetcats, progname(t1stats)

mat coln B= "freq" "emp" "paidl" "unpaidl" "unemp"
 
 

//Labelling and grouping 
cap prog drop fig1hetcats
prog define fig1hetcats

	*Label bars (groups)
	lab def group 1 "All" 2 "Women" 3 "Men"  4 "Non-Tertiary" 5 "Tertiary" 6 "Manual" 7 "Service/Operators"  8  "Professionals" 9 "Q1-2" 10 "Q3" 11 "Q4" 12 "Informal" 13 "Formal" 14 "Urban" 15 "Rural", modify
	lab val group group

	g supergroup= 1 if inlist(group, 1)
	replace supergroup= 2 if inlist(group, 2,3)
	replace supergroup= 3 if inlist(group, 4,5)
	replace supergroup= 4 if inlist(group, 6,7,8)
	replace supergroup= 5 if inlist(group, 9,10,11)
	replace supergroup= 6 if inlist(group, 12,13)
	replace supergroup= 7 if inlist(group, 14,15)
end



//NET CHANGE, % of employed 

//Prep matrix dataset of estimates
matrix A3a = J(1,3,.) 
matrix A3b = J(1,3,.) 

mat T= B[2..., 1..5]
local numrows=  rowsof(T)	

*Take oct-feb and oct-jun proportions of adults
forval i= 3(3)`numrows' {
	*oct-feb
	mat t= ((T[`i',3]-T[`i'-2,3])/T[`i'-2,2]) 
	mat t= (t, (T[`i',4]-T[`i'-2,4])/T[`i'-2,2]) 
	mat t= (t, (T[`i',5]-T[`i'-2,5])/T[`i'-2,2]) 
	mat A3a= (A3a \ t)
	
	*oct-jun (as % of loss in jun-feb)
	mat t= ((T[`i',3]-T[`i'-1,3])/(T[`i'-1,2]-T[`i'-2,2])) 
	mat t= (t, (T[`i',4]-T[`i'-1,4])/(T[`i'-1,2]-T[`i'-2,2])) 
	mat t= (t, (T[`i',5]-T[`i'-1,5])/(T[`i'-1,2]-T[`i'-2,2])) 
	mat A3b= (A3b \ t)
}
mat A3a= A3a[2...,1...]
mat A3a= A3a'
mat A3b= A3b[2...,1...]
mat A3b= A3b'







//OCTOBER TO JUNE

clear
*xsvmat A3b, names(cols) norestore
svmat A3b, names(cols)

*Define emp cat
g empcat= 2 if _n==1
replace empcat= 3 if _n==2
replace empcat= 4 if _n==3

*Some juggling to get into shape for bar graph
reshape long cols, i(empcat)
ren (_j cols) (group emprate)
reshape wide emprate, i(group) j(empcat)
foreach var in emprate4 emprate3 emprate2 {
	replace `var'= `var'*100
}

fig1hetcats

foreach var of varlist emprate? {
	replace `var' = . if supergroup == 4
}
drop if supergroup == 4
replace supergroup = supergroup - 1 if supergroup>4

graph bar (mean)  emprate4 emprate3 emprate2, ///
	stack over(group, label(angle(45) labsize(vsmall))) ///
	over(supergroup,  relabel(1 "All" 2 "Sex" 3 "Education" ///
	4 "HH income (2017)" 5 "Contract (2017)" 6 "Urban") ///
	label(labsize(vsmall))) nofill leg(on pos(6) row(1) ///
	order(1 "Not employed" 2 "Temp. layoff (days=0,wage=0)" ///
	3 "Paid leave (days=0,wage>0)")) bar(1, color($emp4)) ///
	bar(2, color($emp3)) bar(3, color($emp2)) bar(4, color(gs8)) ///
	yti("Net active empl. gain, Jun-Oct" "(pct of Feb-Jun loss)") ///
	blabel(bar, format(%2.0f) size(small) pos(center))
	
graph export "${cram_w3}\Figures\ex1c_emphetcat_octjun_v2.pdf", replace
graph export "${cram_w3}\Figures\ex1c_emphetcat_octjun_v2.svg", replace
graph export "${cram_w3}\Figures\ex1c_emphetcat_octjun_v2.png", replace




*EXHIBIT 1 D, Emp transition******************************

//oct - feb (panel weights)
use "${trash}\temp.dta", clear

svyset cluster [weight = w8_fwgt_extu], strata(stratum)

mat A1a= J(1,3,.)
foreach j of numlist 1 4 {
forval i=1/4 {
	svy: mean empoct`i' if w6_empcat_feb==`j'
	mat rtable= r(table)
	mat t= (rtable[1,1], rtable[5,1], rtable[6,1])
	mat A1a= (A1a \ t)
}
}
mat A1a= A1a[2..., 1...]


//Clean up
clear 
svmat A1a
g id= _n
ren (A1a1 A1a2 A1a3)(b lb ub)
recode id (1/4=1)(5/8=4), gen(emp_feb)
recode id (1 5= 1)(2 6=2)(3 7=3)(4 8=4), gen(emp_jun)
replace id= id+1 if id>=5

*Adjust to percentages
foreach var in b lb ub {
	replace `var'= round(100*`var')
}


twoway (bar b id if emp_jun==1, col($emp1 )) ///
		(bar b id if emp_jun==2, col($emp2 )) ///
		(bar b id if emp_jun==3, col($emp3 )) ///
		(bar b id if emp_jun==4, col($emp4 )) ///
		(rcap ub lb id, col(gray%70)) ///
		(scatter b id, msym(none) mlab(b) mlabpos(11)), ///
		legend(row(2) order(1 "Active empl. (days>0)" 2 "Paid leave (days=0,wage>0)" 4 "Not employed" 3 "Temp. layoff (days=0, wage=0)") ///
		pos(6) ti("Employment status in October", size(small))) ///
		xlabel( 2.5 "Active empl. (days>0), Feb" 7.5 "Not employed, Feb", noticks) ///
		scheme(plotplain) xtitle("") ytitle("Pct. of employment category")  
*ysize(6) xsize(5)

graph export "${cram_w3}\Figures\ex1d_emptrans_octfeb.pdf", replace
graph export "${cram_w3}\Figures\ex1d_emptrans_octfeb.svg", replace




//Oct - Jun
use "${trash}\temp.dta", clear

svyset cluster [weight = w8_fwgt_extu], strata(stratum) single(scaled)

mat A1a= J(1,3,.)
foreach j of numlist 1 2 3 4 {
forval i=1/4 {
	svy: mean empoct`i' if w7_empcat_jun==`j'
	mat rtable= r(table)
	mat t= (rtable[1,1], rtable[5,1], rtable[6,1])
	mat A1a= (A1a \ t)
}
}
mat A1a= A1a[2..., 1...]


//Clean up
clear 
svmat A1a
g id= _n
ren (A1a1 A1a2 A1a3)(b lb ub)
g emp_apr= floor((id-1)/4)+1
g emp_jun= mod(id-1,4)+1

sort emp_apr emp_jun
g orderid= _n
forval i= 4(4)16 {
	replace orderid= orderid+1 if orderid>=`i'+`i'/4
}

*Adjust to percentages
foreach var in b lb ub {
	replace `var'= round(100*`var')
}
lab def emp 1 "active" 2 "paid" 3 "temp layoff" 4 "not emp"
lab val emp_jun emp
lab val emp_apr emp

twoway (bar b orderid if emp_jun==1, col($emp1 )) ///
		(bar b orderid if emp_jun==2, col($emp2 )) ///
		(bar b orderid if emp_jun==3, col($emp3 )) ///
		(bar b orderid if emp_jun==4, col($emp4 )) ///
		(rcap ub lb orderid, col(gray%70)) ///
		(scatter b orderid, msym(none) mlab(b) mlabpos(11)), ///
		legend(row(2) order(1 "Active empl. (days>0)" 2 "Paid leave (days=0,wage>0)" 4 "Not employed" 3 "Temp. layoff (days=0, wage=0)") pos(6) ti("Employment status in October", size(small))) ///
		xlabel( 2.5 "Active empl., June" 7.5 "Paid leave, June" 12.5 "Temp. layoff, June" 17.5 "Not employed, June", noticks) ///
		scheme(plotplain) xtitle("") ytitle("Pct. of employment category")  
*ysize(6) xsize(5)

graph export "${cram_w3}\Figures\ex1d_emptrans_octjun.pdf", replace
graph export "${cram_w3}\Figures\ex1d_emptrans_octjun.svg", replace






***************************************************************
*FTE EMP
***************************************************************


use "${trash}\temp.dta", clear

g w8_fte= w8_emdays_oct_imp/5
g w7_fte= w7_emdays_jun_imp/5
g w6_fte= w6_emdays_apr_imp/5
g w5_fte= w6_emdays_feb_imp/5

forval i=5/8 {
	replace w`i'_fte= 0 if w`i'_fte==.
	*replace w`i'_fte= 1 if w`i'_fte>1
}

reg w5_fte [pw=w6_fwgt]
mat t= (5, r(table)[1,1], r(table)[5,1], r(table)[6,1])
reg w6_fte [pw=w6_fwgt]
mat t= (t \ (6, r(table)[1,1], r(table)[5,1], r(table)[6,1]))
reg w7_fte [pw=w7_fwgt]
mat t= (t \ (7, r(table)[1,1], r(table)[5,1], r(table)[6,1]))
reg w8_fte [pw=w8_fwgt]
mat t= (t \ (8, r(table)[1,1], r(table)[5,1], r(table)[6,1]))

preserve
clear
svmat t
ren t1 month
foreach var in t2 t3 t4 {
	replace `var'= round(`var',.01)
}

twoway (scatter t2 month, col($emp1 ) connect(l)) (rcap t3 t4 month, col(gray%70)) (scatter t2 month, msym(none) mlab(t2) mlabpos(3)) ,  legend(off) xlabel( 5 `""Pre-Lockdown" "(Feb)""'  6 `""Lockdown" "(L5, Apr)""' 7 `""Lockdown" "(L3, Jun)""' 8 `""Lockdown" "(L1, Oct)""', noticks) scheme(plotplain) ytitle("Proportion of adult population in FTE") xti("") xscale(range(4.5,8.5))

restore

graph export "${cram_w3}\Figures\ex1a_fteall_xsectline.pdf", replace
graph export "${cram_w3}\Figures\ex1a_fteall_xsectline.svg", replace



***************************************************************
*OCCUPATION AND INDUSTRY EMP
***************************************************************

 
use "${trash}\temp.dta", clear

* get rid of the very few armed forces people
forval i = 6/8 {
	replace w`i'_occu = . if w`i'_occu == 0
}

estpost tabstat empfeb1 empfeb2 empfeb3 empfeb4 [fw=w6_fwgt], s(sum) by(w6_occu)
forval i = 1/9 {
	mat occ`i'feb= (`i', 5, e(empfeb1)[1,`i'], e(empfeb2)[1,`i'], e(empfeb3)[1,`i'], e(empfeb4)[1,`i'])
}

estpost tabstat empapr1 empapr2 empapr3 empapr4 [fw=w6_fwgt], s(sum) by(w6_occu)
forval i = 1/9 {
	mat occ`i'apr= (`i', 6, e(empapr1)[1,`i'], e(empapr2)[1,`i'], e(empapr3)[1,`i'], e(empapr4)[1,`i'])
}

estpost tabstat empjun1 empjun2 empjun3 empjun4 [fw=w7_fwgt], s(sum) by(w7_occu)
forval i = 1/9 {
	mat occ`i'jun= (`i', 7, e(empjun1)[1,`i'], e(empjun2)[1,`i'], e(empjun3)[1,`i'], e(empjun4)[1,`i'])
}

estpost tabstat empoct1 empoct2 empoct3 empoct4 [fw=w8_fwgt], s(sum) by(w8_occu)
forval i = 1/9 {
	mat occ`i'oct= (`i', 8, e(empoct1)[1,`i'], e(empoct2)[1,`i'], e(empoct3)[1,`i'], e(empoct4)[1,`i'])
}

* matrices per occupation
forval i = 1/9 {
	mat occ`i'= (occ`i'feb \ occ`i'apr \ occ`i'jun \ occ`i'oct)
}

mat showus = occ1[1..4,2..3], occ2[1..4,3],  occ3[1..4,3], occ4[1..4,3], occ5[1..4,3], occ6[1..4,3], occ7[1..4,3], occ8[1..4,3], occ9[1..4,3]
forval j=1/4 {
	scalar t`j'=0
forval i=2/10 {
	scalar t`j'= t`j'+ showus[`j',`i'] 
}
}
mat showus = (showus, (t1 \ t2 \ t3 \t4))
mat showus = showus'
mat list showus
mat t= showus'

clear
svmat t
ren t1 wave

sort wave
forval i=2/11 {
	cap drop t
	g t= t`i'[1]
	replace t`i'= t`i'/t
}

tw (scatter t2 wave, col(blue%70) c(l))(scatter t3 wave, col(blue%70) c(l)) (scatter t4 wave, col(blue%70) c(l)) (scatter t5 wave, col(green%70) c(l)) (scatter t6 wave, col(green%70) c(l)) (scatter t7 wave, col(green%70) c(l)) (scatter t8 wave, col(green%70) c(l)) (scatter t9 wave, col(green%70) c(l)) (scatter t10 wave, col(red%70) c(l)) (scatter t11 wave, col(gold) c(l)) , leg(row(2) pos(6) order(1 "Managers" 2 "Prof" 3 "Technicians" 4 "Clerical" 5 "Sales" 6 "Skilled agri" 7 "Craft" 8 "Operator" 9 "Elementary" 10 "All")) yline(1) yti("Employment as a proportion of Feb") xlabel( 5 `""Pre-Lockdown" "(Feb)""'  6 `""Lockdown" "(L5, Apr)""' 7 `""Lockdown" "(L3, Jun)""' 8 `""Lockdown" "(L1, Oct)""', noticks) xti("Calendar time") 

graph export "${cram_w3}\Figures\ex1g_emphet_bysector.pdf", replace
graph export "${cram_w3}\Figures\ex1g_emphet_bysector.svg", replace


 


// Industry (JB)

use  "${trash}\temp.dta", clear

* get rid of the very few armed forces people

estpost tabstat empfeb1 empfeb2 empfeb3 empfeb4 [fw=w7_fwgt], s(sum) by(w6_sect)
forval i = 1/10 {
	mat sec`i'feb= (`i', 5, e(empfeb1)[1,`i'], e(empfeb2)[1,`i'], e(empfeb3)[1,`i'], e(empfeb4)[1,`i'])
}

estpost tabstat empapr1 empapr2 empapr3 empapr4 [fw=w7_fwgt], s(sum) by(w6_sect)
forval i = 1/10 {
	mat sec`i'apr= (`i', 6, e(empapr1)[1,`i'], e(empapr2)[1,`i'], e(empapr3)[1,`i'], e(empapr4)[1,`i'])
}

estpost tabstat empjun1 empjun2 empjun3 empjun4 [fw=w7_fwgt], s(sum) by(w7_sect)
forval i = 1/10 {
	mat sec`i'jun= (`i', 7, e(empjun1)[1,`i'], e(empjun2)[1,`i'], e(empjun3)[1,`i'], e(empjun4)[1,`i'])
}

estpost tabstat empoct1 empoct2 empoct3 empoct4 [fw=w8_fwgt], s(sum) by(w8_sect)
forval i = 1/10 {
	mat sec`i'oct= (`i', 8, e(empoct1)[1,`i'], e(empoct2)[1,`i'], e(empoct3)[1,`i'], e(empoct4)[1,`i'])
}

* matrices per industry
forval i = 1/10 {
	mat sec`i'= (sec`i'feb \ sec`i'apr \sec`i'jun \ sec`i'oct)
}


// create a matrix to show what's going on

mat showus = sec1[1..4,2..3], sec2[1..4,3],  sec3[1..4,3], sec4[1..4,3], sec5[1..4,3], sec6[1..4,3], sec7[1..4,3], sec8[1..4,3], sec9[1..4,3], sec10[1..4,3]
mat tot = (showus[1,2] + showus[1,3] + showus[1,4] + showus[1,5] + showus[1,6] + showus[1,7] + showus[1,8] + showus[1,9] + showus[1,10] + showus[1,11] \ showus[2,2] + showus[2,3] + showus[2,4] + showus[2,5] + showus[2,6] + showus[2,7] + showus[2,8] + showus[2,9] + showus[2,10] + showus[2,11] \ showus[3,2] + showus[3,3] + showus[3,4] + showus[3,5] + showus[3,6] + showus[3,7] + showus[3,8] + showus[3,9] + showus[3,10] + showus[3,11] \ showus[4,2] + showus[4,3] + showus[4,4] + showus[4,5] + showus[4,6] + showus[4,7] + showus[4,8] + showus[4,9] + showus[4,10] + showus[4,11])
mat showus = (showus, tot)
mat showus = showus'

mat rowname showus = wave privhhl agri mining manuf utilities construction trade tsc fire csp total
mat colname showus = feb_emp jun_emp oct_emp 

mat list showus

mat t = showus'

clear
svmat t
ren t1 wave

sort wave
forval i=2/12 {
	cap drop t
	g t= t`i'[1]
	replace t`i'= t`i'/t
}

twoway 	(scatter t2 wave if inlist(wave,7,8), col(green%70) c(l) lpattern(1) msymbol(O)) ///
		(scatter t3 wave if inlist(wave,7,8), col(red%70) c(l) lpattern(1) msymbol(D)) ///
		(scatter t4 wave if inlist(wave,7,8), col(red%70) c(l) lpattern(1) msymbol(T)) ///
		(scatter t5 wave if inlist(wave,7,8), col(blue%70) c(l) lpattern(1) msymbol(S)) ///
		(scatter t6 wave if inlist(wave,7,8), col(gold) c(l) lpattern(1) msymbol(+) msize(large)) ///
		(scatter t7 wave if inlist(wave,7,8), col(blue%70) c(l) lpattern(1) msymbol(X) msize(large)) ///
		(scatter t8 wave if inlist(wave,7,8), col(green%70) c(l) lpattern(1) msymbol(Oh)) ///
		(scatter t9 wave if inlist(wave,7,8), col(gold) c(l) lpattern(1) msymbol(Dh)) ///
		(scatter t10 wave if inlist(wave,7,8), col(green%70) c(l) lpattern(1) msymbol(Th)) ///
		(scatter t11 wave if inlist(wave,7,8), col(green%70) c(l) lpattern(1) msymbol(Sh)) ///
		(scatter t12 wave if inlist(wave,7,8), col(black) c(l) lpattern(1) msymbol(|)) ///
		///
		(scatter t2 wave if inlist(wave,5,6,7), col(green%70) c(l) lpattern(-) msymbol(O)) ///
		(scatter t3 wave if inlist(wave,5,6,7), col(red%70) c(l) lpattern(-) msymbol(D)) ///
		(scatter t4 wave if inlist(wave,5,6,7), col(red%70) c(l) lpattern(-) msymbol(T)) ///
		(scatter t5 wave if inlist(wave,5,6,7), col(blue%70) c(l) lpattern(-) msymbol(S)) ///
		(scatter t6 wave if inlist(wave,5,6,7), col(gold) c(l) lpattern(-) msymbol(+) msize(large)) ///
		(scatter t7 wave if inlist(wave,5,6,7), col(blue%70) c(l) lpattern(-) msymbol(X) msize(large)) ///
		(scatter t8 wave if inlist(wave,5,6,7), col(green%70) c(l) lpattern(-) msymbol(Oh)) ///
		(scatter t9 wave if inlist(wave,5,6,7), col(gold) c(l) lpattern(-) msymbol(Dh)) ///
		(scatter t10 wave if inlist(wave,5,6,7), col(green%70) c(l) lpattern(-) msymbol(Th)) ///
		(scatter t11 wave if inlist(wave,5,6,7), col(green) c(l) lpattern(-) msymbol(Sh)) ///
		(scatter t12 wave if inlist(wave,5,6,7), col(black) c(l) lpattern(-) msymbol(|)) ///
		, leg(row(2) pos(6) order(1 "Priv. hhold" 2 "Agriculture" 3 "Mining" 4 "Manufacturing" 5 "Utilities" 6 "Construction" 7 "Trade" 8 "TSP" 9 "FIRE" 10 "CSP"  11 "All")) yline(1) yti("Employment as a proportion of Feb") xlabel( 5 `""Pre-Lockdown" "(Feb)""'  6 `""Lockdown" "(L5, Apr)""' 7 `""Lockdown" "(L3, Jun)""' 8 `""Lockdown" "(L1, Oct)""', noticks) xti("Calendar time") 

graph export "${cram_w3}\Figures\exapp_inds.pdf", replace
graph export "${cram_w3}\Figures\exapp_inds.svg", replace
graph export "${cram_w3}\Figures\exapp_inds.png", replace

 
 

***************************************************************
*EXHIBIT 2: EARNINGS?
***************************************************************


//oct - feb
use "${trash}\temp.dta", clear

g lntotwage_oct= ln(w8_totwage_oct)
g lntotwage_feb= ln(w6_totwage_feb)

g dlntotwage= lntotwage_oct - lntotwage_feb
sum dlntotwage, de

qreg dlntotwage [pw=w8_fwgt_extu], q(.5)	
nlcom all: _b[_cons], post
estimates store empall

* JB: make occupation only defined when balanced w6 and w8
replace w8_manual = . if w8_manual != w6_manual

foreach dummy in female nontertiary noncontract w8_manual poor black urban {
forval i=0/1 {
	qreg dlntotwage [pw=w8_fwgt_extu] if `dummy'==`i', q(.5)	
	nlcom `dummy': _b[_cons], post
	estimates store emp`i'`dummy'
}
}


coefplot (empall, ciop(lp(solid) col(red%70) lw(thick)) col(red%70)) ///
 (emp1female emp1black emp1poor emp1nontertiary emp1w8_manual emp1noncontract emp1urban, ciop(lp(dash) col(green%70)) col(green%70)) ///
 (emp0female emp0black emp0poor emp0nontertiary emp0w8_manual emp0noncontract emp1urban, ciop(lp(longdash) col(blue%70)) col(blue%70)) , ///
 xline(0)   coeflabels(all= "All" female= `""Female" "(vs. Male)""' black= `" "Black" "(vs. White)" "' ///
poor= `""Poorer" "(vs. Richer)""'  nontertiary= `""Non-Tertiary Educ." "(vs. Tertiary)""' ///
w8_manual= `""Manual Occup." "(vs. Other)""'  noncontract= `" "Informal" "(vs. Formal)" "' urban= `" "Urban" "(vs. Rural)" "') ///
 leg(off) xti("Pct. Earnings change, October vs. Feb", size(small)) 
 
graph export "${cram_w3}\Figures\ex2_lnwageloss_octfeb.pdf", replace
graph export "${cram_w3}\Figures\ex2_lnwageloss_octfeb.svg", replace




//oct  - jun 
g lntotwage_jun= ln(w7_totwage_jun)

drop dlntotwage
g dlntotwage= lntotwage_oct - lntotwage_jun
sum dlntotwage, de

qreg dlntotwage [pw=w8_fwgt_extu], q(.5)
*reg dlntotwage [pw=w8_fwgt_extu]	
nlcom all: _b[_cons], post
estimates store empall

foreach dummy in female nontertiary noncontract w8_manual poor black urban {
forval i=0/1 {
	qreg dlntotwage [pw=w8_fwgt_extu] if `dummy'==`i', q(.5)
	*reg dlntotwage [pw=w8_fwgt_extu] if `dummy'==`i'
	nlcom `dummy': _b[_cons], post
	estimates store emp`i'`dummy'
}
}


coefplot (empall, ciop(lp(solid) col(red%70) lw(thick)) col(red%70)) ///
 (emp1female emp1black emp1poor emp1nontertiary emp1w8_manual emp1noncontract emp1urban, ciop(lp(dash) col(green%70)) col(green%70)) ///
 (emp0female emp0black emp0poor emp0nontertiary emp0w8_manual emp0noncontract emp1urban, ciop(lp(longdash) col(blue%70)) col(blue%70)) , ///
 xline(0)   coeflabels(all= "All" female= `""Female" "(vs. Male)""' black= `" "Black" "(vs. White)" "' ///
poor= `""Poorer" "(vs. Richer)""'  nontertiary= `""Non-Tertiary Educ." "(vs. Tertiary)""' ///
w8_manual= `""Manual Occup." "(vs. Other)""'  noncontract= `" "Informal" "(vs. Formal)" "' urban= `" "Urban" "(vs. Rural)" "') ///
 leg(off) xti("Pct. Earnings change, October vs. June", size(small)) 
 
graph export "${cram_w3}\Figures\ex2_lnwageloss_octjun.pdf", replace
graph export "${cram_w3}\Figures\ex2_lnwageloss_octjun.svg", replace





***************************************************************
*EXHIBIT 3: SOCIAL PROTECTION
***************************************************************
// amendments made by JB on 17 Jan to pass through weight into programs so that can use extu weight for all except ex3b_csgsrd_any 


//PROGRAM FOR STATS
cap prog drop ex3stats
prog define ex3stats
	syntax [if], mainvar(string) cats(integer) weight(string)
	
	estpost tabstat `mainvar'1 `if' [fw=`weight']
	mat t= (e(mean)[1,1])	
	forval i= 2/`cats' {
		estpost tabstat `mainvar'`i' `if' [fw=`weight']
		mat t= (t,e(mean)[1,1])
	}

	mat C= (C \ t)
end 



//HETEROGENEITY CATEGORIES
cap prog drop sphet
prog define sphet
	syntax, progname(string) mainvar2(string) cats2(integer) weight2(string) incvar(string)

	`progname', mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	
	* little JB hack (we use w6 occ whenever conditioning on feb emp, which is same as when we use w8_fwgt_extu )
	if "`weight2'" == "w8_fwgt_extu" local occnum 6
	else if "`weight2'" == "w8_fwgt" local occnum 8
	else exit 198
	
	//FEMALE 
	foreach i of numlist 1 0 {
		`progname' if female==`i', mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	}

	//OCCUP
	foreach i of numlist 3 2 1 {
		`progname' if w`occnum'_occupcat==`i', mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	}

	//Income measure
	foreach i of numlist 1 2 3 {
		`progname' if `incvar'==`i', mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	}
	

	foreach i of numlist 0 1 {
		`progname' if contract==`i' , mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	}

	foreach i of numlist 1 0 {
		`progname' if urban==`i' , mainvar(`mainvar2') cats(`cats2') weight(`weight2')
	}
end


//Some annoying reshaping for graphs
cap prog drop sp_graph
prog define sp_graph
	g id=_n
	reshape long C, i(id)
	ren (_j C) (group coverage)
	replace coverage= coverage*100

	*Label bars (groups)
	lab def group 1 "All" 2 "Women" 3 "Men" 4 "Manual" 5 "Service/Operators" 6 "Professionals" 7 "Q1-2" 8 "Q3" 9 "Q4" 10 "Informal" 11 "Formal" 12 "Urban" 13 "Rural", modify
	lab val group group

	g supergroup= 1 if inlist(group, 1)
	replace supergroup= 2 if inlist(group, 2,3)
	replace supergroup= 3 if inlist(group, 4,5,6)
	replace supergroup= 4 if inlist(group, 7,8,9)
	replace supergroup= 5 if inlist(group, 10,11)
	replace supergroup= 6 if inlist(group, 12,13)

	reshape wide coverage, i(group) j(id)
end


	
//UNEMPLOYED****************************************************
* For unemployed, SRD focus


//SRD FOCUS
use  "${trash}\temp.dta", clear

*Define only for employed in feb and by cat in oct
tab w8_cover_grnt_unemp if w6_empcat_feb==1 & w8_empcat_oct==4, gen(covsrd)


*Run stats
mat C= J(1,4,.)
sphet, progname(ex3stats) mainvar2(covsrd) cats2(4) weight2(w8_fwgt_extu) incvar(earn_feb_conq)

*Manipulate as stata dataset, cols are each group (eg men)
mat C= C[2...,1...]
mat C= C'
clear
svmat C
sp_graph

graph bar (mean)  coverage1 coverage2 coverage3 coverage4, ///
stack over(group, label(angle(45) labsize(vsmall))) ///
over(supergroup,  relabel(1 "All" 2 "Sex" 3 "Occupation" ///
4 "Earnings quartile (Feb)" 5 "Contract (2017)" 6 "Urban") ///
label(labsize(vsmall))) nofill leg(on pos(6) row(1) ///
order(1 "No protection" 2 "SRD grant only" 3 "Other protection only" 4 "Both")) ///
bar(1, color(red%70)) bar(2, color(pink%70)) bar(3, color(purple%70)) ///
bar(4, color(green%70)) yti("% job losers by each group") ///
blabel(bar, format(%2.0f) size(small) pos(center))

graph export "${cram_w3}\Figures\ex3b_covsrd_octfeb.pdf", replace
graph export "${cram_w3}\Figures\ex3b_covsrd_octfeb.svg", replace





//SRD vs CSG
use  "${trash}\temp.dta", clear

*Define only for employed in feb and by cat in oct
tab w8_cover_srd_csg, gen(covsrd)


*Run stats
mat C= J(1,6,.)
sphet, progname(ex3stats) mainvar2(covsrd) cats2(6) weight2(w8_fwgt) incvar(w5_hhincomepc_cat)

*Manipulate as stata dataset, cols are each group (eg men)
mat C= C[2...,1...]
mat C= C'
clear
svmat C
sp_graph

graph bar (mean) coverage1 coverage2 coverage4 coverage3 coverage6 coverage5, ///
stack over(group, label(angle(45) labsize(vsmall))) ///
over(supergroup,  relabel(1 "All" 2 "Sex" 3 "Occupation" ///
4 "HH income (2017)" 5 "Contract (2017)" 6 "Urban") ///
label(labsize(vsmall))) nofill leg(on pos(6) row(2) ///
order(1 "No protection" 2 "SRD only" 3 "Both SRD & CSG" 4 "CSG only" 5 "CSG/SRD & other" 6 "Other grants only" )) ///
bar(1, color(red%70)) bar(2, color(pink%70)) bar(3, color(purple%70)) ///
bar(4, color(blue%70)) bar(5, color(green%70)) bar(6, color(gold%70))   yti("% Adults receiving HH grants") ///
blabel(bar, format(%2.0f) size(small) pos(center))

graph export "${cram_w3}\Figures\ex3b_csgsrd_any.png", replace
graph export "${cram_w3}\Figures\ex3b_csgsrd_any.pdf", replace
graph export "${cram_w3}\Figures\ex3b_csgsrd_any.svg", replace



//SRD line graph****************************************************

/*proportion of all adults in each decile, who received SRD, 
proportion of adults in a household, who received SRD, 
proportion of adults who are unemployed and receive no grants, who received SRD.*/

use  "${trash}\temp.dta", clear

xtile w5_hhincomepc_dec= w5_hhincomepc [aw=w8_fwgt], n(10) 
recode w8_ind_inccovid w8_hhsrd (.=0)

g srdeligible_br= 0
replace srdeligible_br= 1 if w8_ind_incchld!=1 & w8_ind_incgovpen!=1 & w8_ind_incdis!=1 & (inlist(w6_empcat_apr,3,4) | inlist(w7_empcat_jun,3,4) | inlist(w8_empcat_oct,3,4))
g e_indcovid_br= w8_ind_inccovid if srdeligible_br==1

g srdeligible_nar= 0
replace srdeligible_nar= 1 if w8_ind_incchld!=1 & w8_ind_incgovpen!=1 & w8_ind_incdis!=1 & (inlist(w6_empcat_apr,3,4) & inlist(w7_empcat_jun,3,4) & inlist(w8_empcat_oct,3,4))
g e_indcovid_nar= w8_ind_inccovid if srdeligible_nar==1


forval i= 1/4 {
	g novcovid`i'= w8_incvgrt==`i' if w8_incvgrt!=.
	g e_novcovid`i'_br= w8_incvgrt==`i' if srdeligible_br==1 & w8_incvgrt!=.
}

collapse (mean) w8_ind_inccovid w8_hhsrd e_indcovid_br e_indcovid_nar *novcovid* [aw=w8_fwgt], by(w5_hhincomepc_dec)

foreach var in w8_ind_inccovid w8_hhsrd e_indcovid_br e_indcovid_nar e_novcovid1 e_novcovid2 e_novcovid3 e_novcovid4 novcovid1 novcovid2 novcovid3 novcovid4 {
	replace `var'= `var'*100
}

*Oct
twoway (scatter w8_hhsrd w5_hhincomepc_dec, connect(l) col(navy%70) lp(dash)) (scatter w8_ind_inccovid w5_hhincomepc_dec, connect(l) col(red%70) lp(solid))  (scatter e_indcovid_br w5_hhincomepc_dec, connect(l) col(green%70) lp(shortdash)) , leg(on pos(6) row(1) order(1 "Part of household w/ grant"  2 "Out of all adults" 3 "Out of eligible adults")) yti("Pct. receiving SRD grant") xti("Decile of  household income per capita in 2017 (poorest to richest)")

graph export "${cram_w3}\Figures\ex3c_srdrecipients_oct.pdf", replace
graph export "${cram_w3}\Figures\ex3c_srdrecipients_oct.svg", replace
	
	
	
	

 
***************************************************************
*END
***************************************************************
